# brief overview about the functionality and output of each script

* script can be of any programming language
* please add below information about the script you added to the `contrib/scripts_output_analysis/` dir
* information might cover:
  * functionality and purpose
  * input & output
  * your name
  * date of creation and/or modification (when functionality has changed notably)
* please give, in addition, a detailed documentation for your script in both 
  * the header and 
  * inline of your script
* you could either add your script to this dir via an issue & feature/branch & merge request, or by sending it to Julia & Jan


-----


## my_script.r
* date of creation/modification
* creators name
* main functionality and purpose
* input (data and file format)
* output (data and file format)

## compare_two_quincy_simulations.sh
* created 2022-02-03
* created by Jan Engel; modified by ...
* creates comparison figures of one simulation (one site) of a QUINCY simulation experiment against a reference simulation
  * for the usecases 32/34/80/81/82 the latest reference run (develop branch) is used automatically
    * and the script is applied automatically for site-level simulations with these usecases
  * a custom reference simulation can be provided to the script, to compare the new simulation against it, also for the above mentioned usecases
* input:
  * three arguments: usecase number, path to new simulation and siteID
  * two more arguments if a custom reference run is used: path to reference run and output period of quincy simulation
* output:
  * comparison and diff figures
    * for usecases 32/34/80/81/82 the simulation output for monthly (transient period) and timestep output is used
  * created within the 'postprocessing/' dir of the site
    * for site-level simulations with usecases 32/34/80/81/82: the cleanup script moves all created files into the 'x_comparison_against_refrun/' dir within the main experiment dir
