!! 2021-10-04
!!



!------------------------------------------------------------------------------------------------------------
! mo_jsb_model_class
TYPE, EXTENDS(t_Hsm) :: t_jsb_model

  TYPE(t_jsb_process_p),     POINTER :: processes(:)
  TYPE(t_Task_queue),        POINTER :: queue        => NULL()

END TYPE t_jsb_model


TYPE t_jsb_model_m
  TYPE(t_jsb_model), POINTER :: m
END TYPE t_jsb_model_m


!------------------------------------------------------------------------------------------------------------
! mo_hsm_class
TYPE, ABSTRACT :: t_State

END TYPE t_State

TYPE t_State_p
  CLASS(t_State), POINTER :: p
END TYPE t_State_p
  

TYPE, ABSTRACT :: t_Hsm

  CLASS(t_State), POINTER      :: top     => NULL()    !< Topmost state
  !
  TYPE(t_State_p), ALLOCATABLE :: current(:)     !< Current state
  TYPE(t_State_p), ALLOCATABLE :: next(:)        !< Next state (non_null if transition taken)
  TYPE(t_State_p), ALLOCATABLE :: source(:)      !< Source state during last transition

END TYPE t_Hsm


!------------------------------------------------------------------------------------------------------------
! mo_jsb_tile_class
TYPE, ABSTRACT, EXTENDS(t_State) :: t_jsb_tile_abstract

  TYPE(t_jsb_memory_p),       POINTER    :: mem(:)

END TYPE t_jsb_tile_abstract


!------------------------------------------------------------------------------------------------------------
! mo_jsb_memory_class
TYPE, ABSTRACT :: t_jsb_memory

  INTEGER :: owner_model_id = 0
  INTEGER :: owner_proc_id = 0

  INTEGER :: max_no_of_vars = 0
  INTEGER :: no_of_vars = 0

  CLASS(t_jsb_pool), POINTER     :: pools => NULL()
  CHARACTER(LEN=:),  ALLOCATABLE :: varlist_name
  TYPE(t_jsb_var_p), ALLOCATABLE :: vars(:)

END TYPE t_jsb_memory

TYPE t_jsb_memory_p
  CLASS(t_jsb_memory), POINTER :: p => NULL()
END TYPE t_jsb_memory_p


!------------------------------------------------------------------------------------------------------------
! mo_jsb_pool_class
PUBLIC :: ELEM_C, ELEM_N, ELEM_P, ELEM_C13, ELEM_C14, ELEM_N15  ! element_id (element enumerator) for pools
ENUM, BIND(C)
  ENUMERATOR :: ELEM_C = 1, ELEM_N, ELEM_P, ELEM_C13, ELEM_C14, ELEM_N15
END ENUM

TYPE, ABSTRACT, EXTENDS(t_hermetic) :: t_jsb_pool

  CLASS(t_jsb_pool_p),   POINTER :: pool_list(:) => NULL()                   ! children
  CLASS(t_jsb_pool_p),   POINTER :: leaf_list(:) => NULL()                   ! leaves
  TYPE(t_jsb_var_p), ALLOCATABLE :: element_list(:)                          ! elements of this pool (elements used in PROC are defined in 'all_elements(:)' in PROC_memory_class)
  TYPE(t_jsb_var_p), ALLOCATABLE :: var_list(:)                              ! other associated variables - currently not used
CONTAINS
  PROCEDURE                      :: Add_element           => t_jsb_pool_add_element
  PROCEDURE                      :: Add_var               => t_jsb_pool_add_var
  PROCEDURE                      :: Add_pool              => t_jsb_pool_add_pool

END TYPE t_jsb_pool

TYPE :: t_jsb_pool_p
  CLASS(t_jsb_pool), POINTER :: p
END TYPE t_jsb_pool_p


TYPE, ABSTRACT, EXTENDS(t_jsb_pool) :: t_jsb_pool_elem2d

  REAL(wp),               POINTER :: carbon(:)       => NULL()

END TYPE t_jsb_pool_elem2d


!------------------------------------------------------------------------------------------------------------
! pools memory structure overview

tile                                                                                                                                                        ! tile object
tile%mem(i)%p => veg_mem                                                                                                                                    ! process memory
                 veg_mem%veg_main_pool%pool_list(i)%p => veg_pool                                                                                           ! a tissue pool within the main pool
                                                         veg_pool%pool_list(i)%p => leaf                                                                    ! an elements pool
                                                                                    leaf%element_list(i)%p => carbon                                        ! element (t_jsb_var_real2d)
                                                                                                              carbon%ptr(:,:) => carbon%ptr2d(:,:)          ! domain
                                                                                                              carbon%ptrm1(:) => carbon%ptr(ics:ice,iblk)   ! chunk (updated each timestep)
                                                         veg_pool%element_list(i)%p => carbon                                                               ! element (t_jsb_var_real2d)
                                                                                       carbon%ptr(:,:) => carbon%ptr2d(:,:)                                 ! domain
                                                                                       carbon%ptrm1(:) => carbon%ptr(ics:ice,iblk)                          ! chunk (updated each timestep)



























