!>
!!  @par Copyright
!!    QUINCY terrestrial biosphere model with coupled carbon, nitrogen, and phosphorus cycles
!!    Copyright (C) 2019 Max Planck Institute for Biogeochemistry (MPI-BGC), Jena, Germany 
!!    Contributors: Caldararu S., Engel J., Kern M., Pallandt M., Schnur R., Thum T., Yu L., Zaehle S.
!!
!!    This file is part of the QUINCY model.
!!    The QUINCY model is free software: you can redistribute it and/or modify
!!    it under the terms of the GNU General Public License version 3,
!!    as published by the Free Software Foundation.
!!
!!    The QUINCY model is distributed in the hope that it will be useful,
!!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!!    GNU General Public License for more details.
!!
!!    You should have received a copy of the GNU General Public License
!!    along with the QUINCY model.  If not, see <https://www.gnu.org/licenses/>.
!! 

! -------------------------------------------------------
! get variable values from pools of veg memory
! -------------------------------------------------------

#if defined(Get_veg_pool)
veg_pool%leaf%carbon            = veg__mem%pool%leaf%carbon%ptr(ics:ice,iblk)
veg_pool%leaf%nitrogen          = veg__mem%pool%leaf%nitrogen%ptr(ics:ice,iblk)
veg_pool%leaf%phosphorus        = veg__mem%pool%leaf%phosphorus%ptr(ics:ice,iblk)
veg_pool%leaf%carbon13          = veg__mem%pool%leaf%carbon13%ptr(ics:ice,iblk)
veg_pool%leaf%carbon14          = veg__mem%pool%leaf%carbon14%ptr(ics:ice,iblk)
veg_pool%leaf%nitrogen15        = veg__mem%pool%leaf%nitrogen15%ptr(ics:ice,iblk)
veg_pool%fine_root%carbon       = veg__mem%pool%fine_root%carbon%ptr(ics:ice,iblk)
veg_pool%fine_root%nitrogen     = veg__mem%pool%fine_root%nitrogen%ptr(ics:ice,iblk)
veg_pool%fine_root%phosphorus   = veg__mem%pool%fine_root%phosphorus%ptr(ics:ice,iblk)
veg_pool%fine_root%carbon13     = veg__mem%pool%fine_root%carbon13%ptr(ics:ice,iblk)
veg_pool%fine_root%carbon14     = veg__mem%pool%fine_root%carbon14%ptr(ics:ice,iblk)
veg_pool%fine_root%nitrogen15   = veg__mem%pool%fine_root%nitrogen15%ptr(ics:ice,iblk)
veg_pool%coarse_root%carbon     = veg__mem%pool%coarse_root%carbon%ptr(ics:ice,iblk)
veg_pool%coarse_root%nitrogen   = veg__mem%pool%coarse_root%nitrogen%ptr(ics:ice,iblk)
veg_pool%coarse_root%phosphorus = veg__mem%pool%coarse_root%phosphorus%ptr(ics:ice,iblk)
veg_pool%coarse_root%carbon13   = veg__mem%pool%coarse_root%carbon13%ptr(ics:ice,iblk)
veg_pool%coarse_root%carbon14   = veg__mem%pool%coarse_root%carbon14%ptr(ics:ice,iblk)
veg_pool%coarse_root%nitrogen15 = veg__mem%pool%coarse_root%nitrogen15%ptr(ics:ice,iblk)
veg_pool%sap_wood%carbon        = veg__mem%pool%sap_wood%carbon%ptr(ics:ice,iblk)
veg_pool%sap_wood%nitrogen      = veg__mem%pool%sap_wood%nitrogen%ptr(ics:ice,iblk)
veg_pool%sap_wood%phosphorus    = veg__mem%pool%sap_wood%phosphorus%ptr(ics:ice,iblk)
veg_pool%sap_wood%carbon13      = veg__mem%pool%sap_wood%carbon13%ptr(ics:ice,iblk)
veg_pool%sap_wood%carbon14      = veg__mem%pool%sap_wood%carbon14%ptr(ics:ice,iblk)
veg_pool%sap_wood%nitrogen15    = veg__mem%pool%sap_wood%nitrogen15%ptr(ics:ice,iblk)
veg_pool%heart_wood%carbon      = veg__mem%pool%heart_wood%carbon%ptr(ics:ice,iblk)
veg_pool%heart_wood%nitrogen    = veg__mem%pool%heart_wood%nitrogen%ptr(ics:ice,iblk)
veg_pool%heart_wood%phosphorus  = veg__mem%pool%heart_wood%phosphorus%ptr(ics:ice,iblk)
veg_pool%heart_wood%carbon13    = veg__mem%pool%heart_wood%carbon13%ptr(ics:ice,iblk)
veg_pool%heart_wood%carbon14    = veg__mem%pool%heart_wood%carbon14%ptr(ics:ice,iblk)
veg_pool%heart_wood%nitrogen15  = veg__mem%pool%heart_wood%nitrogen15%ptr(ics:ice,iblk)
veg_pool%labile%carbon          = veg__mem%pool%labile%carbon%ptr(ics:ice,iblk)
veg_pool%labile%nitrogen        = veg__mem%pool%labile%nitrogen%ptr(ics:ice,iblk)
veg_pool%labile%phosphorus      = veg__mem%pool%labile%phosphorus%ptr(ics:ice,iblk)
veg_pool%labile%carbon13        = veg__mem%pool%labile%carbon13%ptr(ics:ice,iblk)
veg_pool%labile%carbon14        = veg__mem%pool%labile%carbon14%ptr(ics:ice,iblk)
veg_pool%labile%nitrogen15      = veg__mem%pool%labile%nitrogen15%ptr(ics:ice,iblk)
veg_pool%reserve%carbon         = veg__mem%pool%reserve%carbon%ptr(ics:ice,iblk)
veg_pool%reserve%nitrogen       = veg__mem%pool%reserve%nitrogen%ptr(ics:ice,iblk)
veg_pool%reserve%phosphorus     = veg__mem%pool%reserve%phosphorus%ptr(ics:ice,iblk)
veg_pool%reserve%carbon13       = veg__mem%pool%reserve%carbon13%ptr(ics:ice,iblk)
veg_pool%reserve%carbon14       = veg__mem%pool%reserve%carbon14%ptr(ics:ice,iblk)
veg_pool%reserve%nitrogen15     = veg__mem%pool%reserve%nitrogen15%ptr(ics:ice,iblk)
veg_pool%fruit%carbon           = veg__mem%pool%fruit%carbon%ptr(ics:ice,iblk)
veg_pool%fruit%nitrogen         = veg__mem%pool%fruit%nitrogen%ptr(ics:ice,iblk)
veg_pool%fruit%phosphorus       = veg__mem%pool%fruit%phosphorus%ptr(ics:ice,iblk)
veg_pool%fruit%carbon13         = veg__mem%pool%fruit%carbon13%ptr(ics:ice,iblk)
veg_pool%fruit%carbon14         = veg__mem%pool%fruit%carbon14%ptr(ics:ice,iblk)
veg_pool%fruit%nitrogen15       = veg__mem%pool%fruit%nitrogen15%ptr(ics:ice,iblk)
veg_pool%seed_bed%carbon        = veg__mem%pool%seed_bed%carbon%ptr(ics:ice,iblk)
veg_pool%seed_bed%nitrogen      = veg__mem%pool%seed_bed%nitrogen%ptr(ics:ice,iblk)
veg_pool%seed_bed%phosphorus    = veg__mem%pool%seed_bed%phosphorus%ptr(ics:ice,iblk)
veg_pool%seed_bed%carbon13      = veg__mem%pool%seed_bed%carbon13%ptr(ics:ice,iblk)
veg_pool%seed_bed%carbon14      = veg__mem%pool%seed_bed%carbon14%ptr(ics:ice,iblk)
veg_pool%seed_bed%nitrogen15    = veg__mem%pool%seed_bed%nitrogen15%ptr(ics:ice,iblk)

#endif

#if defined(Get_veg_growth)
veg_growth%leaf%carbon            = veg__mem%growth%leaf%carbon%ptr(ics:ice,iblk)
veg_growth%leaf%nitrogen          = veg__mem%growth%leaf%nitrogen%ptr(ics:ice,iblk)
veg_growth%leaf%phosphorus        = veg__mem%growth%leaf%phosphorus%ptr(ics:ice,iblk)
veg_growth%leaf%carbon13          = veg__mem%growth%leaf%carbon13%ptr(ics:ice,iblk)
veg_growth%leaf%carbon14          = veg__mem%growth%leaf%carbon14%ptr(ics:ice,iblk)
veg_growth%leaf%nitrogen15        = veg__mem%growth%leaf%nitrogen15%ptr(ics:ice,iblk)
veg_growth%fine_root%carbon       = veg__mem%growth%fine_root%carbon%ptr(ics:ice,iblk)
veg_growth%fine_root%nitrogen     = veg__mem%growth%fine_root%nitrogen%ptr(ics:ice,iblk)
veg_growth%fine_root%phosphorus   = veg__mem%growth%fine_root%phosphorus%ptr(ics:ice,iblk)
veg_growth%fine_root%carbon13     = veg__mem%growth%fine_root%carbon13%ptr(ics:ice,iblk)
veg_growth%fine_root%carbon14     = veg__mem%growth%fine_root%carbon14%ptr(ics:ice,iblk)
veg_growth%fine_root%nitrogen15   = veg__mem%growth%fine_root%nitrogen15%ptr(ics:ice,iblk)
veg_growth%coarse_root%carbon     = veg__mem%growth%coarse_root%carbon%ptr(ics:ice,iblk)
veg_growth%coarse_root%nitrogen   = veg__mem%growth%coarse_root%nitrogen%ptr(ics:ice,iblk)
veg_growth%coarse_root%phosphorus = veg__mem%growth%coarse_root%phosphorus%ptr(ics:ice,iblk)
veg_growth%coarse_root%carbon13   = veg__mem%growth%coarse_root%carbon13%ptr(ics:ice,iblk)
veg_growth%coarse_root%carbon14   = veg__mem%growth%coarse_root%carbon14%ptr(ics:ice,iblk)
veg_growth%coarse_root%nitrogen15 = veg__mem%growth%coarse_root%nitrogen15%ptr(ics:ice,iblk)
veg_growth%sap_wood%carbon        = veg__mem%growth%sap_wood%carbon%ptr(ics:ice,iblk)
veg_growth%sap_wood%nitrogen      = veg__mem%growth%sap_wood%nitrogen%ptr(ics:ice,iblk)
veg_growth%sap_wood%phosphorus    = veg__mem%growth%sap_wood%phosphorus%ptr(ics:ice,iblk)
veg_growth%sap_wood%carbon13      = veg__mem%growth%sap_wood%carbon13%ptr(ics:ice,iblk)
veg_growth%sap_wood%carbon14      = veg__mem%growth%sap_wood%carbon14%ptr(ics:ice,iblk)
veg_growth%sap_wood%nitrogen15    = veg__mem%growth%sap_wood%nitrogen15%ptr(ics:ice,iblk)
veg_growth%heart_wood%carbon      = veg__mem%growth%heart_wood%carbon%ptr(ics:ice,iblk)
veg_growth%heart_wood%nitrogen    = veg__mem%growth%heart_wood%nitrogen%ptr(ics:ice,iblk)
veg_growth%heart_wood%phosphorus  = veg__mem%growth%heart_wood%phosphorus%ptr(ics:ice,iblk)
veg_growth%heart_wood%carbon13    = veg__mem%growth%heart_wood%carbon13%ptr(ics:ice,iblk)
veg_growth%heart_wood%carbon14    = veg__mem%growth%heart_wood%carbon14%ptr(ics:ice,iblk)
veg_growth%heart_wood%nitrogen15  = veg__mem%growth%heart_wood%nitrogen15%ptr(ics:ice,iblk)
veg_growth%labile%carbon          = veg__mem%growth%labile%carbon%ptr(ics:ice,iblk)
veg_growth%labile%nitrogen        = veg__mem%growth%labile%nitrogen%ptr(ics:ice,iblk)
veg_growth%labile%phosphorus      = veg__mem%growth%labile%phosphorus%ptr(ics:ice,iblk)
veg_growth%labile%carbon13        = veg__mem%growth%labile%carbon13%ptr(ics:ice,iblk)
veg_growth%labile%carbon14        = veg__mem%growth%labile%carbon14%ptr(ics:ice,iblk)
veg_growth%labile%nitrogen15      = veg__mem%growth%labile%nitrogen15%ptr(ics:ice,iblk)
veg_growth%reserve%carbon         = veg__mem%growth%reserve%carbon%ptr(ics:ice,iblk)
veg_growth%reserve%nitrogen       = veg__mem%growth%reserve%nitrogen%ptr(ics:ice,iblk)
veg_growth%reserve%phosphorus     = veg__mem%growth%reserve%phosphorus%ptr(ics:ice,iblk)
veg_growth%reserve%carbon13       = veg__mem%growth%reserve%carbon13%ptr(ics:ice,iblk)
veg_growth%reserve%carbon14       = veg__mem%growth%reserve%carbon14%ptr(ics:ice,iblk)
veg_growth%reserve%nitrogen15     = veg__mem%growth%reserve%nitrogen15%ptr(ics:ice,iblk)
veg_growth%fruit%carbon           = veg__mem%growth%fruit%carbon%ptr(ics:ice,iblk)
veg_growth%fruit%nitrogen         = veg__mem%growth%fruit%nitrogen%ptr(ics:ice,iblk)
veg_growth%fruit%phosphorus       = veg__mem%growth%fruit%phosphorus%ptr(ics:ice,iblk)
veg_growth%fruit%carbon13         = veg__mem%growth%fruit%carbon13%ptr(ics:ice,iblk)
veg_growth%fruit%carbon14         = veg__mem%growth%fruit%carbon14%ptr(ics:ice,iblk)
veg_growth%fruit%nitrogen15       = veg__mem%growth%fruit%nitrogen15%ptr(ics:ice,iblk)
veg_growth%seed_bed%carbon        = veg__mem%growth%seed_bed%carbon%ptr(ics:ice,iblk)
veg_growth%seed_bed%nitrogen      = veg__mem%growth%seed_bed%nitrogen%ptr(ics:ice,iblk)
veg_growth%seed_bed%phosphorus    = veg__mem%growth%seed_bed%phosphorus%ptr(ics:ice,iblk)
veg_growth%seed_bed%carbon13      = veg__mem%growth%seed_bed%carbon13%ptr(ics:ice,iblk)
veg_growth%seed_bed%carbon14      = veg__mem%growth%seed_bed%carbon14%ptr(ics:ice,iblk)
veg_growth%seed_bed%nitrogen15    = veg__mem%growth%seed_bed%nitrogen15%ptr(ics:ice,iblk)

#endif

#if defined(Get_veg_litterfall)
veg_litterfall%leaf%carbon            = veg__mem%litterfall%leaf%carbon%ptr(ics:ice,iblk)
veg_litterfall%leaf%nitrogen          = veg__mem%litterfall%leaf%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%leaf%phosphorus        = veg__mem%litterfall%leaf%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%leaf%carbon13          = veg__mem%litterfall%leaf%carbon13%ptr(ics:ice,iblk)
veg_litterfall%leaf%carbon14          = veg__mem%litterfall%leaf%carbon14%ptr(ics:ice,iblk)
veg_litterfall%leaf%nitrogen15        = veg__mem%litterfall%leaf%nitrogen15%ptr(ics:ice,iblk)
veg_litterfall%fine_root%carbon       = veg__mem%litterfall%fine_root%carbon%ptr(ics:ice,iblk)
veg_litterfall%fine_root%nitrogen     = veg__mem%litterfall%fine_root%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%fine_root%phosphorus   = veg__mem%litterfall%fine_root%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%fine_root%carbon13     = veg__mem%litterfall%fine_root%carbon13%ptr(ics:ice,iblk)
veg_litterfall%fine_root%carbon14     = veg__mem%litterfall%fine_root%carbon14%ptr(ics:ice,iblk)
veg_litterfall%fine_root%nitrogen15   = veg__mem%litterfall%fine_root%nitrogen15%ptr(ics:ice,iblk)
veg_litterfall%coarse_root%carbon     = veg__mem%litterfall%coarse_root%carbon%ptr(ics:ice,iblk)
veg_litterfall%coarse_root%nitrogen   = veg__mem%litterfall%coarse_root%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%coarse_root%phosphorus = veg__mem%litterfall%coarse_root%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%coarse_root%carbon13   = veg__mem%litterfall%coarse_root%carbon13%ptr(ics:ice,iblk)
veg_litterfall%coarse_root%carbon14   = veg__mem%litterfall%coarse_root%carbon14%ptr(ics:ice,iblk)
veg_litterfall%coarse_root%nitrogen15 = veg__mem%litterfall%coarse_root%nitrogen15%ptr(ics:ice,iblk)
veg_litterfall%sap_wood%carbon        = veg__mem%litterfall%sap_wood%carbon%ptr(ics:ice,iblk)
veg_litterfall%sap_wood%nitrogen      = veg__mem%litterfall%sap_wood%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%sap_wood%phosphorus    = veg__mem%litterfall%sap_wood%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%sap_wood%carbon13      = veg__mem%litterfall%sap_wood%carbon13%ptr(ics:ice,iblk)
veg_litterfall%sap_wood%carbon14      = veg__mem%litterfall%sap_wood%carbon14%ptr(ics:ice,iblk)
veg_litterfall%sap_wood%nitrogen15    = veg__mem%litterfall%sap_wood%nitrogen15%ptr(ics:ice,iblk)
veg_litterfall%heart_wood%carbon      = veg__mem%litterfall%heart_wood%carbon%ptr(ics:ice,iblk)
veg_litterfall%heart_wood%nitrogen    = veg__mem%litterfall%heart_wood%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%heart_wood%phosphorus  = veg__mem%litterfall%heart_wood%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%heart_wood%carbon13    = veg__mem%litterfall%heart_wood%carbon13%ptr(ics:ice,iblk)
veg_litterfall%heart_wood%carbon14    = veg__mem%litterfall%heart_wood%carbon14%ptr(ics:ice,iblk)
veg_litterfall%heart_wood%nitrogen15  = veg__mem%litterfall%heart_wood%nitrogen15%ptr(ics:ice,iblk)
veg_litterfall%labile%carbon          = veg__mem%litterfall%labile%carbon%ptr(ics:ice,iblk)
veg_litterfall%labile%nitrogen        = veg__mem%litterfall%labile%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%labile%phosphorus      = veg__mem%litterfall%labile%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%labile%carbon13        = veg__mem%litterfall%labile%carbon13%ptr(ics:ice,iblk)
veg_litterfall%labile%carbon14        = veg__mem%litterfall%labile%carbon14%ptr(ics:ice,iblk)
veg_litterfall%labile%nitrogen15      = veg__mem%litterfall%labile%nitrogen15%ptr(ics:ice,iblk)
veg_litterfall%reserve%carbon         = veg__mem%litterfall%reserve%carbon%ptr(ics:ice,iblk)
veg_litterfall%reserve%nitrogen       = veg__mem%litterfall%reserve%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%reserve%phosphorus     = veg__mem%litterfall%reserve%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%reserve%carbon13       = veg__mem%litterfall%reserve%carbon13%ptr(ics:ice,iblk)
veg_litterfall%reserve%carbon14       = veg__mem%litterfall%reserve%carbon14%ptr(ics:ice,iblk)
veg_litterfall%reserve%nitrogen15     = veg__mem%litterfall%reserve%nitrogen15%ptr(ics:ice,iblk)
veg_litterfall%fruit%carbon           = veg__mem%litterfall%fruit%carbon%ptr(ics:ice,iblk)
veg_litterfall%fruit%nitrogen         = veg__mem%litterfall%fruit%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%fruit%phosphorus       = veg__mem%litterfall%fruit%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%fruit%carbon13         = veg__mem%litterfall%fruit%carbon13%ptr(ics:ice,iblk)
veg_litterfall%fruit%carbon14         = veg__mem%litterfall%fruit%carbon14%ptr(ics:ice,iblk)
veg_litterfall%fruit%nitrogen15       = veg__mem%litterfall%fruit%nitrogen15%ptr(ics:ice,iblk)
veg_litterfall%seed_bed%carbon        = veg__mem%litterfall%seed_bed%carbon%ptr(ics:ice,iblk)
veg_litterfall%seed_bed%nitrogen      = veg__mem%litterfall%seed_bed%nitrogen%ptr(ics:ice,iblk)
veg_litterfall%seed_bed%phosphorus    = veg__mem%litterfall%seed_bed%phosphorus%ptr(ics:ice,iblk)
veg_litterfall%seed_bed%carbon13      = veg__mem%litterfall%seed_bed%carbon13%ptr(ics:ice,iblk)
veg_litterfall%seed_bed%carbon14      = veg__mem%litterfall%seed_bed%carbon14%ptr(ics:ice,iblk)
veg_litterfall%seed_bed%nitrogen15    = veg__mem%litterfall%seed_bed%nitrogen15%ptr(ics:ice,iblk)

#endif

#if defined(Get_veg_falloc)
veg_falloc%leaf%carbon            = veg__mem%falloc%leaf%carbon%ptr(ics:ice,iblk)
veg_falloc%leaf%nitrogen          = veg__mem%falloc%leaf%nitrogen%ptr(ics:ice,iblk)
veg_falloc%leaf%phosphorus        = veg__mem%falloc%leaf%phosphorus%ptr(ics:ice,iblk)
veg_falloc%leaf%carbon13          = veg__mem%falloc%leaf%carbon13%ptr(ics:ice,iblk)
veg_falloc%leaf%carbon14          = veg__mem%falloc%leaf%carbon14%ptr(ics:ice,iblk)
veg_falloc%leaf%nitrogen15        = veg__mem%falloc%leaf%nitrogen15%ptr(ics:ice,iblk)
veg_falloc%fine_root%carbon       = veg__mem%falloc%fine_root%carbon%ptr(ics:ice,iblk)
veg_falloc%fine_root%nitrogen     = veg__mem%falloc%fine_root%nitrogen%ptr(ics:ice,iblk)
veg_falloc%fine_root%phosphorus   = veg__mem%falloc%fine_root%phosphorus%ptr(ics:ice,iblk)
veg_falloc%fine_root%carbon13     = veg__mem%falloc%fine_root%carbon13%ptr(ics:ice,iblk)
veg_falloc%fine_root%carbon14     = veg__mem%falloc%fine_root%carbon14%ptr(ics:ice,iblk)
veg_falloc%fine_root%nitrogen15   = veg__mem%falloc%fine_root%nitrogen15%ptr(ics:ice,iblk)
veg_falloc%coarse_root%carbon     = veg__mem%falloc%coarse_root%carbon%ptr(ics:ice,iblk)
veg_falloc%coarse_root%nitrogen   = veg__mem%falloc%coarse_root%nitrogen%ptr(ics:ice,iblk)
veg_falloc%coarse_root%phosphorus = veg__mem%falloc%coarse_root%phosphorus%ptr(ics:ice,iblk)
veg_falloc%coarse_root%carbon13   = veg__mem%falloc%coarse_root%carbon13%ptr(ics:ice,iblk)
veg_falloc%coarse_root%carbon14   = veg__mem%falloc%coarse_root%carbon14%ptr(ics:ice,iblk)
veg_falloc%coarse_root%nitrogen15 = veg__mem%falloc%coarse_root%nitrogen15%ptr(ics:ice,iblk)
veg_falloc%sap_wood%carbon        = veg__mem%falloc%sap_wood%carbon%ptr(ics:ice,iblk)
veg_falloc%sap_wood%nitrogen      = veg__mem%falloc%sap_wood%nitrogen%ptr(ics:ice,iblk)
veg_falloc%sap_wood%phosphorus    = veg__mem%falloc%sap_wood%phosphorus%ptr(ics:ice,iblk)
veg_falloc%sap_wood%carbon13      = veg__mem%falloc%sap_wood%carbon13%ptr(ics:ice,iblk)
veg_falloc%sap_wood%carbon14      = veg__mem%falloc%sap_wood%carbon14%ptr(ics:ice,iblk)
veg_falloc%sap_wood%nitrogen15    = veg__mem%falloc%sap_wood%nitrogen15%ptr(ics:ice,iblk)
veg_falloc%heart_wood%carbon      = veg__mem%falloc%heart_wood%carbon%ptr(ics:ice,iblk)
veg_falloc%heart_wood%nitrogen    = veg__mem%falloc%heart_wood%nitrogen%ptr(ics:ice,iblk)
veg_falloc%heart_wood%phosphorus  = veg__mem%falloc%heart_wood%phosphorus%ptr(ics:ice,iblk)
veg_falloc%heart_wood%carbon13    = veg__mem%falloc%heart_wood%carbon13%ptr(ics:ice,iblk)
veg_falloc%heart_wood%carbon14    = veg__mem%falloc%heart_wood%carbon14%ptr(ics:ice,iblk)
veg_falloc%heart_wood%nitrogen15  = veg__mem%falloc%heart_wood%nitrogen15%ptr(ics:ice,iblk)
veg_falloc%labile%carbon          = veg__mem%falloc%labile%carbon%ptr(ics:ice,iblk)
veg_falloc%labile%nitrogen        = veg__mem%falloc%labile%nitrogen%ptr(ics:ice,iblk)
veg_falloc%labile%phosphorus      = veg__mem%falloc%labile%phosphorus%ptr(ics:ice,iblk)
veg_falloc%labile%carbon13        = veg__mem%falloc%labile%carbon13%ptr(ics:ice,iblk)
veg_falloc%labile%carbon14        = veg__mem%falloc%labile%carbon14%ptr(ics:ice,iblk)
veg_falloc%labile%nitrogen15      = veg__mem%falloc%labile%nitrogen15%ptr(ics:ice,iblk)
veg_falloc%reserve%carbon         = veg__mem%falloc%reserve%carbon%ptr(ics:ice,iblk)
veg_falloc%reserve%nitrogen       = veg__mem%falloc%reserve%nitrogen%ptr(ics:ice,iblk)
veg_falloc%reserve%phosphorus     = veg__mem%falloc%reserve%phosphorus%ptr(ics:ice,iblk)
veg_falloc%reserve%carbon13       = veg__mem%falloc%reserve%carbon13%ptr(ics:ice,iblk)
veg_falloc%reserve%carbon14       = veg__mem%falloc%reserve%carbon14%ptr(ics:ice,iblk)
veg_falloc%reserve%nitrogen15     = veg__mem%falloc%reserve%nitrogen15%ptr(ics:ice,iblk)
veg_falloc%fruit%carbon           = veg__mem%falloc%fruit%carbon%ptr(ics:ice,iblk)
veg_falloc%fruit%nitrogen         = veg__mem%falloc%fruit%nitrogen%ptr(ics:ice,iblk)
veg_falloc%fruit%phosphorus       = veg__mem%falloc%fruit%phosphorus%ptr(ics:ice,iblk)
veg_falloc%fruit%carbon13         = veg__mem%falloc%fruit%carbon13%ptr(ics:ice,iblk)
veg_falloc%fruit%carbon14         = veg__mem%falloc%fruit%carbon14%ptr(ics:ice,iblk)
veg_falloc%fruit%nitrogen15       = veg__mem%falloc%fruit%nitrogen15%ptr(ics:ice,iblk)
veg_falloc%seed_bed%carbon        = veg__mem%falloc%seed_bed%carbon%ptr(ics:ice,iblk)
veg_falloc%seed_bed%nitrogen      = veg__mem%falloc%seed_bed%nitrogen%ptr(ics:ice,iblk)
veg_falloc%seed_bed%phosphorus    = veg__mem%falloc%seed_bed%phosphorus%ptr(ics:ice,iblk)
veg_falloc%seed_bed%carbon13      = veg__mem%falloc%seed_bed%carbon13%ptr(ics:ice,iblk)
veg_falloc%seed_bed%carbon14      = veg__mem%falloc%seed_bed%carbon14%ptr(ics:ice,iblk)
veg_falloc%seed_bed%nitrogen15    = veg__mem%falloc%seed_bed%nitrogen15%ptr(ics:ice,iblk)

#endif

#if defined(Get_veg_total_flux)
veg_total_flux%leaf%carbon            = veg__mem%total_flux%leaf%carbon%ptr(ics:ice,iblk)
veg_total_flux%leaf%nitrogen          = veg__mem%total_flux%leaf%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%leaf%phosphorus        = veg__mem%total_flux%leaf%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%leaf%carbon13          = veg__mem%total_flux%leaf%carbon13%ptr(ics:ice,iblk)
veg_total_flux%leaf%carbon14          = veg__mem%total_flux%leaf%carbon14%ptr(ics:ice,iblk)
veg_total_flux%leaf%nitrogen15        = veg__mem%total_flux%leaf%nitrogen15%ptr(ics:ice,iblk)
veg_total_flux%fine_root%carbon       = veg__mem%total_flux%fine_root%carbon%ptr(ics:ice,iblk)
veg_total_flux%fine_root%nitrogen     = veg__mem%total_flux%fine_root%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%fine_root%phosphorus   = veg__mem%total_flux%fine_root%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%fine_root%carbon13     = veg__mem%total_flux%fine_root%carbon13%ptr(ics:ice,iblk)
veg_total_flux%fine_root%carbon14     = veg__mem%total_flux%fine_root%carbon14%ptr(ics:ice,iblk)
veg_total_flux%fine_root%nitrogen15   = veg__mem%total_flux%fine_root%nitrogen15%ptr(ics:ice,iblk)
veg_total_flux%coarse_root%carbon     = veg__mem%total_flux%coarse_root%carbon%ptr(ics:ice,iblk)
veg_total_flux%coarse_root%nitrogen   = veg__mem%total_flux%coarse_root%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%coarse_root%phosphorus = veg__mem%total_flux%coarse_root%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%coarse_root%carbon13   = veg__mem%total_flux%coarse_root%carbon13%ptr(ics:ice,iblk)
veg_total_flux%coarse_root%carbon14   = veg__mem%total_flux%coarse_root%carbon14%ptr(ics:ice,iblk)
veg_total_flux%coarse_root%nitrogen15 = veg__mem%total_flux%coarse_root%nitrogen15%ptr(ics:ice,iblk)
veg_total_flux%sap_wood%carbon        = veg__mem%total_flux%sap_wood%carbon%ptr(ics:ice,iblk)
veg_total_flux%sap_wood%nitrogen      = veg__mem%total_flux%sap_wood%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%sap_wood%phosphorus    = veg__mem%total_flux%sap_wood%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%sap_wood%carbon13      = veg__mem%total_flux%sap_wood%carbon13%ptr(ics:ice,iblk)
veg_total_flux%sap_wood%carbon14      = veg__mem%total_flux%sap_wood%carbon14%ptr(ics:ice,iblk)
veg_total_flux%sap_wood%nitrogen15    = veg__mem%total_flux%sap_wood%nitrogen15%ptr(ics:ice,iblk)
veg_total_flux%heart_wood%carbon      = veg__mem%total_flux%heart_wood%carbon%ptr(ics:ice,iblk)
veg_total_flux%heart_wood%nitrogen    = veg__mem%total_flux%heart_wood%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%heart_wood%phosphorus  = veg__mem%total_flux%heart_wood%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%heart_wood%carbon13    = veg__mem%total_flux%heart_wood%carbon13%ptr(ics:ice,iblk)
veg_total_flux%heart_wood%carbon14    = veg__mem%total_flux%heart_wood%carbon14%ptr(ics:ice,iblk)
veg_total_flux%heart_wood%nitrogen15  = veg__mem%total_flux%heart_wood%nitrogen15%ptr(ics:ice,iblk)
veg_total_flux%labile%carbon          = veg__mem%total_flux%labile%carbon%ptr(ics:ice,iblk)
veg_total_flux%labile%nitrogen        = veg__mem%total_flux%labile%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%labile%phosphorus      = veg__mem%total_flux%labile%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%labile%carbon13        = veg__mem%total_flux%labile%carbon13%ptr(ics:ice,iblk)
veg_total_flux%labile%carbon14        = veg__mem%total_flux%labile%carbon14%ptr(ics:ice,iblk)
veg_total_flux%labile%nitrogen15      = veg__mem%total_flux%labile%nitrogen15%ptr(ics:ice,iblk)
veg_total_flux%reserve%carbon         = veg__mem%total_flux%reserve%carbon%ptr(ics:ice,iblk)
veg_total_flux%reserve%nitrogen       = veg__mem%total_flux%reserve%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%reserve%phosphorus     = veg__mem%total_flux%reserve%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%reserve%carbon13       = veg__mem%total_flux%reserve%carbon13%ptr(ics:ice,iblk)
veg_total_flux%reserve%carbon14       = veg__mem%total_flux%reserve%carbon14%ptr(ics:ice,iblk)
veg_total_flux%reserve%nitrogen15     = veg__mem%total_flux%reserve%nitrogen15%ptr(ics:ice,iblk)
veg_total_flux%fruit%carbon           = veg__mem%total_flux%fruit%carbon%ptr(ics:ice,iblk)
veg_total_flux%fruit%nitrogen         = veg__mem%total_flux%fruit%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%fruit%phosphorus       = veg__mem%total_flux%fruit%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%fruit%carbon13         = veg__mem%total_flux%fruit%carbon13%ptr(ics:ice,iblk)
veg_total_flux%fruit%carbon14         = veg__mem%total_flux%fruit%carbon14%ptr(ics:ice,iblk)
veg_total_flux%fruit%nitrogen15       = veg__mem%total_flux%fruit%nitrogen15%ptr(ics:ice,iblk)
veg_total_flux%seed_bed%carbon        = veg__mem%total_flux%seed_bed%carbon%ptr(ics:ice,iblk)
veg_total_flux%seed_bed%nitrogen      = veg__mem%total_flux%seed_bed%nitrogen%ptr(ics:ice,iblk)
veg_total_flux%seed_bed%phosphorus    = veg__mem%total_flux%seed_bed%phosphorus%ptr(ics:ice,iblk)
veg_total_flux%seed_bed%carbon13      = veg__mem%total_flux%seed_bed%carbon13%ptr(ics:ice,iblk)
veg_total_flux%seed_bed%carbon14      = veg__mem%total_flux%seed_bed%carbon14%ptr(ics:ice,iblk)
veg_total_flux%seed_bed%nitrogen15    = veg__mem%total_flux%seed_bed%nitrogen15%ptr(ics:ice,iblk)

#endif

#if defined(Get_veg_exudation)
veg_exudation%carbon     = veg__mem%exudation%carbon%ptr(ics:ice,iblk)
veg_exudation%nitrogen   = veg__mem%exudation%nitrogen%ptr(ics:ice,iblk)
veg_exudation%phosphorus = veg__mem%exudation%phosphorus%ptr(ics:ice,iblk)
veg_exudation%carbon13   = veg__mem%exudation%carbon13%ptr(ics:ice,iblk)
veg_exudation%carbon14   = veg__mem%exudation%carbon14%ptr(ics:ice,iblk)
veg_exudation%nitrogen15 = veg__mem%exudation%nitrogen15%ptr(ics:ice,iblk)

#endif

#if defined(Get_veg_establishment)
veg_establishment%carbon     = veg__mem%establishment%carbon%ptr(ics:ice,iblk)
veg_establishment%nitrogen   = veg__mem%establishment%nitrogen%ptr(ics:ice,iblk)
veg_establishment%phosphorus = veg__mem%establishment%phosphorus%ptr(ics:ice,iblk)
veg_establishment%carbon13   = veg__mem%establishment%carbon13%ptr(ics:ice,iblk)
veg_establishment%carbon14   = veg__mem%establishment%carbon14%ptr(ics:ice,iblk)
veg_establishment%nitrogen15 = veg__mem%establishment%nitrogen15%ptr(ics:ice,iblk)

#endif

#if defined(Get_veg_reserve_use)
veg_reserve_use%carbon     = veg__mem%reserve_use%carbon%ptr(ics:ice,iblk)
veg_reserve_use%nitrogen   = veg__mem%reserve_use%nitrogen%ptr(ics:ice,iblk)
veg_reserve_use%phosphorus = veg__mem%reserve_use%phosphorus%ptr(ics:ice,iblk)
veg_reserve_use%carbon13   = veg__mem%reserve_use%carbon13%ptr(ics:ice,iblk)
veg_reserve_use%carbon14   = veg__mem%reserve_use%carbon14%ptr(ics:ice,iblk)
veg_reserve_use%nitrogen15 = veg__mem%reserve_use%nitrogen15%ptr(ics:ice,iblk)

#endif

#if defined(Get_veg_total_biomass)
veg_total_biomass%carbon     = veg__mem%total_biomass%carbon%ptr(ics:ice,iblk)
veg_total_biomass%nitrogen   = veg__mem%total_biomass%nitrogen%ptr(ics:ice,iblk)
veg_total_biomass%phosphorus = veg__mem%total_biomass%phosphorus%ptr(ics:ice,iblk)
veg_total_biomass%carbon13   = veg__mem%total_biomass%carbon13%ptr(ics:ice,iblk)
veg_total_biomass%carbon14   = veg__mem%total_biomass%carbon14%ptr(ics:ice,iblk)
veg_total_biomass%nitrogen15 = veg__mem%total_biomass%nitrogen15%ptr(ics:ice,iblk)

#endif


! -------------------------------------------------------
! get variable values from pools of sb memory
! -------------------------------------------------------

#if defined(Get_sb_pool)
sb_pool%dom%carbon                  = sb__mem%pool%dom%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom%nitrogen                = sb__mem%pool%dom%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom%phosphorus              = sb__mem%pool%dom%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom%carbon13                = sb__mem%pool%dom%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom%carbon14                = sb__mem%pool%dom%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom%nitrogen15              = sb__mem%pool%dom%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom_assoc%carbon            = sb__mem%pool%dom_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom_assoc%nitrogen          = sb__mem%pool%dom_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom_assoc%phosphorus        = sb__mem%pool%dom_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom_assoc%carbon13          = sb__mem%pool%dom_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom_assoc%carbon14          = sb__mem%pool%dom_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%dom_assoc%nitrogen15        = sb__mem%pool%dom_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%soluable_litter%carbon      = sb__mem%pool%soluable_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%soluable_litter%nitrogen    = sb__mem%pool%soluable_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%soluable_litter%phosphorus  = sb__mem%pool%soluable_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%soluable_litter%carbon13    = sb__mem%pool%soluable_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%soluable_litter%carbon14    = sb__mem%pool%soluable_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%soluable_litter%nitrogen15  = sb__mem%pool%soluable_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%polymeric_litter%carbon     = sb__mem%pool%polymeric_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%polymeric_litter%nitrogen   = sb__mem%pool%polymeric_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%polymeric_litter%phosphorus = sb__mem%pool%polymeric_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%polymeric_litter%carbon13   = sb__mem%pool%polymeric_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%polymeric_litter%carbon14   = sb__mem%pool%polymeric_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%polymeric_litter%nitrogen15 = sb__mem%pool%polymeric_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%woody_litter%carbon         = sb__mem%pool%woody_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%woody_litter%nitrogen       = sb__mem%pool%woody_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%woody_litter%phosphorus     = sb__mem%pool%woody_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%woody_litter%carbon13       = sb__mem%pool%woody_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%woody_litter%carbon14       = sb__mem%pool%woody_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%woody_litter%nitrogen15     = sb__mem%pool%woody_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%fungi%carbon                = sb__mem%pool%fungi%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%fungi%nitrogen              = sb__mem%pool%fungi%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%fungi%phosphorus            = sb__mem%pool%fungi%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%fungi%carbon13              = sb__mem%pool%fungi%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%fungi%carbon14              = sb__mem%pool%fungi%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%fungi%nitrogen15            = sb__mem%pool%fungi%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%mycorrhiza%carbon           = sb__mem%pool%mycorrhiza%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%mycorrhiza%nitrogen         = sb__mem%pool%mycorrhiza%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%mycorrhiza%phosphorus       = sb__mem%pool%mycorrhiza%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%mycorrhiza%carbon13         = sb__mem%pool%mycorrhiza%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%mycorrhiza%carbon14         = sb__mem%pool%mycorrhiza%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%mycorrhiza%nitrogen15       = sb__mem%pool%mycorrhiza%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%microbial%carbon            = sb__mem%pool%microbial%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%microbial%nitrogen          = sb__mem%pool%microbial%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%microbial%phosphorus        = sb__mem%pool%microbial%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%microbial%carbon13          = sb__mem%pool%microbial%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%microbial%carbon14          = sb__mem%pool%microbial%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%microbial%nitrogen15        = sb__mem%pool%microbial%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue%carbon              = sb__mem%pool%residue%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue%nitrogen            = sb__mem%pool%residue%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue%phosphorus          = sb__mem%pool%residue%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue%carbon13            = sb__mem%pool%residue%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue%carbon14            = sb__mem%pool%residue%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue%nitrogen15          = sb__mem%pool%residue%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue_assoc%carbon        = sb__mem%pool%residue_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue_assoc%nitrogen      = sb__mem%pool%residue_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue_assoc%phosphorus    = sb__mem%pool%residue_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue_assoc%carbon13      = sb__mem%pool%residue_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue_assoc%carbon14      = sb__mem%pool%residue_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_pool%residue_assoc%nitrogen15    = sb__mem%pool%residue_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)

#endif

#if defined(Get_sb_formation)
sb_formation%dom%carbon                  = sb__mem%formation%dom%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom%nitrogen                = sb__mem%formation%dom%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom%phosphorus              = sb__mem%formation%dom%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom%carbon13                = sb__mem%formation%dom%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom%carbon14                = sb__mem%formation%dom%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom%nitrogen15              = sb__mem%formation%dom%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom_assoc%carbon            = sb__mem%formation%dom_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom_assoc%nitrogen          = sb__mem%formation%dom_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom_assoc%phosphorus        = sb__mem%formation%dom_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom_assoc%carbon13          = sb__mem%formation%dom_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom_assoc%carbon14          = sb__mem%formation%dom_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%dom_assoc%nitrogen15        = sb__mem%formation%dom_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%soluable_litter%carbon      = sb__mem%formation%soluable_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%soluable_litter%nitrogen    = sb__mem%formation%soluable_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%soluable_litter%phosphorus  = sb__mem%formation%soluable_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%soluable_litter%carbon13    = sb__mem%formation%soluable_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%soluable_litter%carbon14    = sb__mem%formation%soluable_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%soluable_litter%nitrogen15  = sb__mem%formation%soluable_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%polymeric_litter%carbon     = sb__mem%formation%polymeric_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%polymeric_litter%nitrogen   = sb__mem%formation%polymeric_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%polymeric_litter%phosphorus = sb__mem%formation%polymeric_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%polymeric_litter%carbon13   = sb__mem%formation%polymeric_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%polymeric_litter%carbon14   = sb__mem%formation%polymeric_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%polymeric_litter%nitrogen15 = sb__mem%formation%polymeric_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%woody_litter%carbon         = sb__mem%formation%woody_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%woody_litter%nitrogen       = sb__mem%formation%woody_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%woody_litter%phosphorus     = sb__mem%formation%woody_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%woody_litter%carbon13       = sb__mem%formation%woody_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%woody_litter%carbon14       = sb__mem%formation%woody_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%woody_litter%nitrogen15     = sb__mem%formation%woody_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%fungi%carbon                = sb__mem%formation%fungi%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%fungi%nitrogen              = sb__mem%formation%fungi%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%fungi%phosphorus            = sb__mem%formation%fungi%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%fungi%carbon13              = sb__mem%formation%fungi%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%fungi%carbon14              = sb__mem%formation%fungi%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%fungi%nitrogen15            = sb__mem%formation%fungi%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%mycorrhiza%carbon           = sb__mem%formation%mycorrhiza%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%mycorrhiza%nitrogen         = sb__mem%formation%mycorrhiza%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%mycorrhiza%phosphorus       = sb__mem%formation%mycorrhiza%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%mycorrhiza%carbon13         = sb__mem%formation%mycorrhiza%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%mycorrhiza%carbon14         = sb__mem%formation%mycorrhiza%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%mycorrhiza%nitrogen15       = sb__mem%formation%mycorrhiza%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%microbial%carbon            = sb__mem%formation%microbial%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%microbial%nitrogen          = sb__mem%formation%microbial%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%microbial%phosphorus        = sb__mem%formation%microbial%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%microbial%carbon13          = sb__mem%formation%microbial%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%microbial%carbon14          = sb__mem%formation%microbial%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%microbial%nitrogen15        = sb__mem%formation%microbial%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue%carbon              = sb__mem%formation%residue%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue%nitrogen            = sb__mem%formation%residue%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue%phosphorus          = sb__mem%formation%residue%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue%carbon13            = sb__mem%formation%residue%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue%carbon14            = sb__mem%formation%residue%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue%nitrogen15          = sb__mem%formation%residue%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue_assoc%carbon        = sb__mem%formation%residue_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue_assoc%nitrogen      = sb__mem%formation%residue_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue_assoc%phosphorus    = sb__mem%formation%residue_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue_assoc%carbon13      = sb__mem%formation%residue_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue_assoc%carbon14      = sb__mem%formation%residue_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_formation%residue_assoc%nitrogen15    = sb__mem%formation%residue_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)

#endif

#if defined(Get_sb_loss)
sb_loss%dom%carbon                  = sb__mem%loss%dom%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom%nitrogen                = sb__mem%loss%dom%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom%phosphorus              = sb__mem%loss%dom%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom%carbon13                = sb__mem%loss%dom%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom%carbon14                = sb__mem%loss%dom%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom%nitrogen15              = sb__mem%loss%dom%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom_assoc%carbon            = sb__mem%loss%dom_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom_assoc%nitrogen          = sb__mem%loss%dom_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom_assoc%phosphorus        = sb__mem%loss%dom_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom_assoc%carbon13          = sb__mem%loss%dom_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom_assoc%carbon14          = sb__mem%loss%dom_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%dom_assoc%nitrogen15        = sb__mem%loss%dom_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%soluable_litter%carbon      = sb__mem%loss%soluable_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%soluable_litter%nitrogen    = sb__mem%loss%soluable_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%soluable_litter%phosphorus  = sb__mem%loss%soluable_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%soluable_litter%carbon13    = sb__mem%loss%soluable_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%soluable_litter%carbon14    = sb__mem%loss%soluable_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%soluable_litter%nitrogen15  = sb__mem%loss%soluable_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%polymeric_litter%carbon     = sb__mem%loss%polymeric_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%polymeric_litter%nitrogen   = sb__mem%loss%polymeric_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%polymeric_litter%phosphorus = sb__mem%loss%polymeric_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%polymeric_litter%carbon13   = sb__mem%loss%polymeric_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%polymeric_litter%carbon14   = sb__mem%loss%polymeric_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%polymeric_litter%nitrogen15 = sb__mem%loss%polymeric_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%woody_litter%carbon         = sb__mem%loss%woody_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%woody_litter%nitrogen       = sb__mem%loss%woody_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%woody_litter%phosphorus     = sb__mem%loss%woody_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%woody_litter%carbon13       = sb__mem%loss%woody_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%woody_litter%carbon14       = sb__mem%loss%woody_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%woody_litter%nitrogen15     = sb__mem%loss%woody_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%fungi%carbon                = sb__mem%loss%fungi%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%fungi%nitrogen              = sb__mem%loss%fungi%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%fungi%phosphorus            = sb__mem%loss%fungi%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%fungi%carbon13              = sb__mem%loss%fungi%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%fungi%carbon14              = sb__mem%loss%fungi%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%fungi%nitrogen15            = sb__mem%loss%fungi%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%mycorrhiza%carbon           = sb__mem%loss%mycorrhiza%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%mycorrhiza%nitrogen         = sb__mem%loss%mycorrhiza%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%mycorrhiza%phosphorus       = sb__mem%loss%mycorrhiza%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%mycorrhiza%carbon13         = sb__mem%loss%mycorrhiza%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%mycorrhiza%carbon14         = sb__mem%loss%mycorrhiza%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%mycorrhiza%nitrogen15       = sb__mem%loss%mycorrhiza%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%microbial%carbon            = sb__mem%loss%microbial%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%microbial%nitrogen          = sb__mem%loss%microbial%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%microbial%phosphorus        = sb__mem%loss%microbial%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%microbial%carbon13          = sb__mem%loss%microbial%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%microbial%carbon14          = sb__mem%loss%microbial%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%microbial%nitrogen15        = sb__mem%loss%microbial%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue%carbon              = sb__mem%loss%residue%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue%nitrogen            = sb__mem%loss%residue%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue%phosphorus          = sb__mem%loss%residue%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue%carbon13            = sb__mem%loss%residue%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue%carbon14            = sb__mem%loss%residue%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue%nitrogen15          = sb__mem%loss%residue%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue_assoc%carbon        = sb__mem%loss%residue_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue_assoc%nitrogen      = sb__mem%loss%residue_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue_assoc%phosphorus    = sb__mem%loss%residue_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue_assoc%carbon13      = sb__mem%loss%residue_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue_assoc%carbon14      = sb__mem%loss%residue_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_loss%residue_assoc%nitrogen15    = sb__mem%loss%residue_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)

#endif

#if defined(Get_sb_transport)
sb_transport%dom%carbon                  = sb__mem%transport%dom%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom%nitrogen                = sb__mem%transport%dom%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom%phosphorus              = sb__mem%transport%dom%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom%carbon13                = sb__mem%transport%dom%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom%carbon14                = sb__mem%transport%dom%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom%nitrogen15              = sb__mem%transport%dom%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom_assoc%carbon            = sb__mem%transport%dom_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom_assoc%nitrogen          = sb__mem%transport%dom_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom_assoc%phosphorus        = sb__mem%transport%dom_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom_assoc%carbon13          = sb__mem%transport%dom_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom_assoc%carbon14          = sb__mem%transport%dom_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%dom_assoc%nitrogen15        = sb__mem%transport%dom_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%soluable_litter%carbon      = sb__mem%transport%soluable_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%soluable_litter%nitrogen    = sb__mem%transport%soluable_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%soluable_litter%phosphorus  = sb__mem%transport%soluable_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%soluable_litter%carbon13    = sb__mem%transport%soluable_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%soluable_litter%carbon14    = sb__mem%transport%soluable_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%soluable_litter%nitrogen15  = sb__mem%transport%soluable_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%polymeric_litter%carbon     = sb__mem%transport%polymeric_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%polymeric_litter%nitrogen   = sb__mem%transport%polymeric_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%polymeric_litter%phosphorus = sb__mem%transport%polymeric_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%polymeric_litter%carbon13   = sb__mem%transport%polymeric_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%polymeric_litter%carbon14   = sb__mem%transport%polymeric_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%polymeric_litter%nitrogen15 = sb__mem%transport%polymeric_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%woody_litter%carbon         = sb__mem%transport%woody_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%woody_litter%nitrogen       = sb__mem%transport%woody_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%woody_litter%phosphorus     = sb__mem%transport%woody_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%woody_litter%carbon13       = sb__mem%transport%woody_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%woody_litter%carbon14       = sb__mem%transport%woody_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%woody_litter%nitrogen15     = sb__mem%transport%woody_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%fungi%carbon                = sb__mem%transport%fungi%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%fungi%nitrogen              = sb__mem%transport%fungi%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%fungi%phosphorus            = sb__mem%transport%fungi%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%fungi%carbon13              = sb__mem%transport%fungi%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%fungi%carbon14              = sb__mem%transport%fungi%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%fungi%nitrogen15            = sb__mem%transport%fungi%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%mycorrhiza%carbon           = sb__mem%transport%mycorrhiza%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%mycorrhiza%nitrogen         = sb__mem%transport%mycorrhiza%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%mycorrhiza%phosphorus       = sb__mem%transport%mycorrhiza%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%mycorrhiza%carbon13         = sb__mem%transport%mycorrhiza%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%mycorrhiza%carbon14         = sb__mem%transport%mycorrhiza%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%mycorrhiza%nitrogen15       = sb__mem%transport%mycorrhiza%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%microbial%carbon            = sb__mem%transport%microbial%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%microbial%nitrogen          = sb__mem%transport%microbial%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%microbial%phosphorus        = sb__mem%transport%microbial%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%microbial%carbon13          = sb__mem%transport%microbial%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%microbial%carbon14          = sb__mem%transport%microbial%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%microbial%nitrogen15        = sb__mem%transport%microbial%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue%carbon              = sb__mem%transport%residue%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue%nitrogen            = sb__mem%transport%residue%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue%phosphorus          = sb__mem%transport%residue%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue%carbon13            = sb__mem%transport%residue%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue%carbon14            = sb__mem%transport%residue%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue%nitrogen15          = sb__mem%transport%residue%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue_assoc%carbon        = sb__mem%transport%residue_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue_assoc%nitrogen      = sb__mem%transport%residue_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue_assoc%phosphorus    = sb__mem%transport%residue_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue_assoc%carbon13      = sb__mem%transport%residue_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue_assoc%carbon14      = sb__mem%transport%residue_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_transport%residue_assoc%nitrogen15    = sb__mem%transport%residue_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)

#endif

#if defined(Get_sb_delta_pools)
sb_delta_pools%carbon     = sb__mem%delta_pools%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_delta_pools%nitrogen   = sb__mem%delta_pools%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_delta_pools%phosphorus = sb__mem%delta_pools%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_delta_pools%carbon13   = sb__mem%delta_pools%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_delta_pools%carbon14   = sb__mem%delta_pools%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_delta_pools%nitrogen15 = sb__mem%delta_pools%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)

#endif

#if defined(Get_sb_mycorrhiza_export)
sb_mycorrhiza_export%carbon     = sb__mem%mycorrhiza_export%carbon%ptr(ics:ice,1:nsoil_sb,iblk)
sb_mycorrhiza_export%nitrogen   = sb__mem%mycorrhiza_export%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)
sb_mycorrhiza_export%phosphorus = sb__mem%mycorrhiza_export%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)
sb_mycorrhiza_export%carbon13   = sb__mem%mycorrhiza_export%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)
sb_mycorrhiza_export%carbon14   = sb__mem%mycorrhiza_export%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)
sb_mycorrhiza_export%nitrogen15 = sb__mem%mycorrhiza_export%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)

#endif


! -------------------------------------------------------
! pass back values to pools of vegetation memory
! -------------------------------------------------------

#if defined(Passback_veg_pool)
  ! pass the values (back) to process memory
  veg__mem%pool%leaf%carbon%ptr(ics:ice,iblk)             = veg_pool%leaf%carbon(:)
  veg__mem%pool%leaf%nitrogen%ptr(ics:ice,iblk)           = veg_pool%leaf%nitrogen(:)
  veg__mem%pool%leaf%phosphorus%ptr(ics:ice,iblk)         = veg_pool%leaf%phosphorus(:)
  veg__mem%pool%leaf%carbon13%ptr(ics:ice,iblk)           = veg_pool%leaf%carbon13(:)
  veg__mem%pool%leaf%carbon14%ptr(ics:ice,iblk)           = veg_pool%leaf%carbon14(:)
  veg__mem%pool%leaf%nitrogen15%ptr(ics:ice,iblk)         = veg_pool%leaf%nitrogen15(:)
  veg__mem%pool%fine_root%carbon%ptr(ics:ice,iblk)        = veg_pool%fine_root%carbon(:)
  veg__mem%pool%fine_root%nitrogen%ptr(ics:ice,iblk)      = veg_pool%fine_root%nitrogen(:)
  veg__mem%pool%fine_root%phosphorus%ptr(ics:ice,iblk)    = veg_pool%fine_root%phosphorus(:)
  veg__mem%pool%fine_root%carbon13%ptr(ics:ice,iblk)      = veg_pool%fine_root%carbon13(:)
  veg__mem%pool%fine_root%carbon14%ptr(ics:ice,iblk)      = veg_pool%fine_root%carbon14(:)
  veg__mem%pool%fine_root%nitrogen15%ptr(ics:ice,iblk)    = veg_pool%fine_root%nitrogen15(:)
  veg__mem%pool%coarse_root%carbon%ptr(ics:ice,iblk)      = veg_pool%coarse_root%carbon(:)
  veg__mem%pool%coarse_root%nitrogen%ptr(ics:ice,iblk)    = veg_pool%coarse_root%nitrogen(:)
  veg__mem%pool%coarse_root%phosphorus%ptr(ics:ice,iblk)  = veg_pool%coarse_root%phosphorus(:)
  veg__mem%pool%coarse_root%carbon13%ptr(ics:ice,iblk)    = veg_pool%coarse_root%carbon13(:)
  veg__mem%pool%coarse_root%carbon14%ptr(ics:ice,iblk)    = veg_pool%coarse_root%carbon14(:)
  veg__mem%pool%coarse_root%nitrogen15%ptr(ics:ice,iblk)  = veg_pool%coarse_root%nitrogen15(:)
  veg__mem%pool%sap_wood%carbon%ptr(ics:ice,iblk)         = veg_pool%sap_wood%carbon(:)
  veg__mem%pool%sap_wood%nitrogen%ptr(ics:ice,iblk)       = veg_pool%sap_wood%nitrogen(:)
  veg__mem%pool%sap_wood%phosphorus%ptr(ics:ice,iblk)     = veg_pool%sap_wood%phosphorus(:)
  veg__mem%pool%sap_wood%carbon13%ptr(ics:ice,iblk)       = veg_pool%sap_wood%carbon13(:)
  veg__mem%pool%sap_wood%carbon14%ptr(ics:ice,iblk)       = veg_pool%sap_wood%carbon14(:)
  veg__mem%pool%sap_wood%nitrogen15%ptr(ics:ice,iblk)     = veg_pool%sap_wood%nitrogen15(:)
  veg__mem%pool%heart_wood%carbon%ptr(ics:ice,iblk)       = veg_pool%heart_wood%carbon(:)
  veg__mem%pool%heart_wood%nitrogen%ptr(ics:ice,iblk)     = veg_pool%heart_wood%nitrogen(:)
  veg__mem%pool%heart_wood%phosphorus%ptr(ics:ice,iblk)   = veg_pool%heart_wood%phosphorus(:)
  veg__mem%pool%heart_wood%carbon13%ptr(ics:ice,iblk)     = veg_pool%heart_wood%carbon13(:)
  veg__mem%pool%heart_wood%carbon14%ptr(ics:ice,iblk)     = veg_pool%heart_wood%carbon14(:)
  veg__mem%pool%heart_wood%nitrogen15%ptr(ics:ice,iblk)   = veg_pool%heart_wood%nitrogen15(:)
  veg__mem%pool%labile%carbon%ptr(ics:ice,iblk)           = veg_pool%labile%carbon(:)
  veg__mem%pool%labile%nitrogen%ptr(ics:ice,iblk)         = veg_pool%labile%nitrogen(:)
  veg__mem%pool%labile%phosphorus%ptr(ics:ice,iblk)       = veg_pool%labile%phosphorus(:)
  veg__mem%pool%labile%carbon13%ptr(ics:ice,iblk)         = veg_pool%labile%carbon13(:)
  veg__mem%pool%labile%carbon14%ptr(ics:ice,iblk)         = veg_pool%labile%carbon14(:)
  veg__mem%pool%labile%nitrogen15%ptr(ics:ice,iblk)       = veg_pool%labile%nitrogen15(:)
  veg__mem%pool%reserve%carbon%ptr(ics:ice,iblk)          = veg_pool%reserve%carbon(:)
  veg__mem%pool%reserve%nitrogen%ptr(ics:ice,iblk)        = veg_pool%reserve%nitrogen(:)
  veg__mem%pool%reserve%phosphorus%ptr(ics:ice,iblk)      = veg_pool%reserve%phosphorus(:)
  veg__mem%pool%reserve%carbon13%ptr(ics:ice,iblk)        = veg_pool%reserve%carbon13(:)
  veg__mem%pool%reserve%carbon14%ptr(ics:ice,iblk)        = veg_pool%reserve%carbon14(:)
  veg__mem%pool%reserve%nitrogen15%ptr(ics:ice,iblk)      = veg_pool%reserve%nitrogen15(:)
  veg__mem%pool%fruit%carbon%ptr(ics:ice,iblk)            = veg_pool%fruit%carbon(:)
  veg__mem%pool%fruit%nitrogen%ptr(ics:ice,iblk)          = veg_pool%fruit%nitrogen(:)
  veg__mem%pool%fruit%phosphorus%ptr(ics:ice,iblk)        = veg_pool%fruit%phosphorus(:)
  veg__mem%pool%fruit%carbon13%ptr(ics:ice,iblk)          = veg_pool%fruit%carbon13(:)
  veg__mem%pool%fruit%carbon14%ptr(ics:ice,iblk)          = veg_pool%fruit%carbon14(:)
  veg__mem%pool%fruit%nitrogen15%ptr(ics:ice,iblk)        = veg_pool%fruit%nitrogen15(:)
  veg__mem%pool%seed_bed%carbon%ptr(ics:ice,iblk)         = veg_pool%seed_bed%carbon(:)
  veg__mem%pool%seed_bed%nitrogen%ptr(ics:ice,iblk)       = veg_pool%seed_bed%nitrogen(:)
  veg__mem%pool%seed_bed%phosphorus%ptr(ics:ice,iblk)     = veg_pool%seed_bed%phosphorus(:)
  veg__mem%pool%seed_bed%carbon13%ptr(ics:ice,iblk)       = veg_pool%seed_bed%carbon13(:)
  veg__mem%pool%seed_bed%carbon14%ptr(ics:ice,iblk)       = veg_pool%seed_bed%carbon14(:)
  veg__mem%pool%seed_bed%nitrogen15%ptr(ics:ice,iblk)     = veg_pool%seed_bed%nitrogen15(:)

#endif

#if defined(Passback_veg_growth)
  ! pass the values (back) to process memory
  veg__mem%growth%leaf%carbon%ptr(ics:ice,iblk)             = veg_growth%leaf%carbon(:)
  veg__mem%growth%leaf%nitrogen%ptr(ics:ice,iblk)           = veg_growth%leaf%nitrogen(:)
  veg__mem%growth%leaf%phosphorus%ptr(ics:ice,iblk)         = veg_growth%leaf%phosphorus(:)
  veg__mem%growth%leaf%carbon13%ptr(ics:ice,iblk)           = veg_growth%leaf%carbon13(:)
  veg__mem%growth%leaf%carbon14%ptr(ics:ice,iblk)           = veg_growth%leaf%carbon14(:)
  veg__mem%growth%leaf%nitrogen15%ptr(ics:ice,iblk)         = veg_growth%leaf%nitrogen15(:)
  veg__mem%growth%fine_root%carbon%ptr(ics:ice,iblk)        = veg_growth%fine_root%carbon(:)
  veg__mem%growth%fine_root%nitrogen%ptr(ics:ice,iblk)      = veg_growth%fine_root%nitrogen(:)
  veg__mem%growth%fine_root%phosphorus%ptr(ics:ice,iblk)    = veg_growth%fine_root%phosphorus(:)
  veg__mem%growth%fine_root%carbon13%ptr(ics:ice,iblk)      = veg_growth%fine_root%carbon13(:)
  veg__mem%growth%fine_root%carbon14%ptr(ics:ice,iblk)      = veg_growth%fine_root%carbon14(:)
  veg__mem%growth%fine_root%nitrogen15%ptr(ics:ice,iblk)    = veg_growth%fine_root%nitrogen15(:)
  veg__mem%growth%coarse_root%carbon%ptr(ics:ice,iblk)      = veg_growth%coarse_root%carbon(:)
  veg__mem%growth%coarse_root%nitrogen%ptr(ics:ice,iblk)    = veg_growth%coarse_root%nitrogen(:)
  veg__mem%growth%coarse_root%phosphorus%ptr(ics:ice,iblk)  = veg_growth%coarse_root%phosphorus(:)
  veg__mem%growth%coarse_root%carbon13%ptr(ics:ice,iblk)    = veg_growth%coarse_root%carbon13(:)
  veg__mem%growth%coarse_root%carbon14%ptr(ics:ice,iblk)    = veg_growth%coarse_root%carbon14(:)
  veg__mem%growth%coarse_root%nitrogen15%ptr(ics:ice,iblk)  = veg_growth%coarse_root%nitrogen15(:)
  veg__mem%growth%sap_wood%carbon%ptr(ics:ice,iblk)         = veg_growth%sap_wood%carbon(:)
  veg__mem%growth%sap_wood%nitrogen%ptr(ics:ice,iblk)       = veg_growth%sap_wood%nitrogen(:)
  veg__mem%growth%sap_wood%phosphorus%ptr(ics:ice,iblk)     = veg_growth%sap_wood%phosphorus(:)
  veg__mem%growth%sap_wood%carbon13%ptr(ics:ice,iblk)       = veg_growth%sap_wood%carbon13(:)
  veg__mem%growth%sap_wood%carbon14%ptr(ics:ice,iblk)       = veg_growth%sap_wood%carbon14(:)
  veg__mem%growth%sap_wood%nitrogen15%ptr(ics:ice,iblk)     = veg_growth%sap_wood%nitrogen15(:)
  veg__mem%growth%heart_wood%carbon%ptr(ics:ice,iblk)       = veg_growth%heart_wood%carbon(:)
  veg__mem%growth%heart_wood%nitrogen%ptr(ics:ice,iblk)     = veg_growth%heart_wood%nitrogen(:)
  veg__mem%growth%heart_wood%phosphorus%ptr(ics:ice,iblk)   = veg_growth%heart_wood%phosphorus(:)
  veg__mem%growth%heart_wood%carbon13%ptr(ics:ice,iblk)     = veg_growth%heart_wood%carbon13(:)
  veg__mem%growth%heart_wood%carbon14%ptr(ics:ice,iblk)     = veg_growth%heart_wood%carbon14(:)
  veg__mem%growth%heart_wood%nitrogen15%ptr(ics:ice,iblk)   = veg_growth%heart_wood%nitrogen15(:)
  veg__mem%growth%labile%carbon%ptr(ics:ice,iblk)           = veg_growth%labile%carbon(:)
  veg__mem%growth%labile%nitrogen%ptr(ics:ice,iblk)         = veg_growth%labile%nitrogen(:)
  veg__mem%growth%labile%phosphorus%ptr(ics:ice,iblk)       = veg_growth%labile%phosphorus(:)
  veg__mem%growth%labile%carbon13%ptr(ics:ice,iblk)         = veg_growth%labile%carbon13(:)
  veg__mem%growth%labile%carbon14%ptr(ics:ice,iblk)         = veg_growth%labile%carbon14(:)
  veg__mem%growth%labile%nitrogen15%ptr(ics:ice,iblk)       = veg_growth%labile%nitrogen15(:)
  veg__mem%growth%reserve%carbon%ptr(ics:ice,iblk)          = veg_growth%reserve%carbon(:)
  veg__mem%growth%reserve%nitrogen%ptr(ics:ice,iblk)        = veg_growth%reserve%nitrogen(:)
  veg__mem%growth%reserve%phosphorus%ptr(ics:ice,iblk)      = veg_growth%reserve%phosphorus(:)
  veg__mem%growth%reserve%carbon13%ptr(ics:ice,iblk)        = veg_growth%reserve%carbon13(:)
  veg__mem%growth%reserve%carbon14%ptr(ics:ice,iblk)        = veg_growth%reserve%carbon14(:)
  veg__mem%growth%reserve%nitrogen15%ptr(ics:ice,iblk)      = veg_growth%reserve%nitrogen15(:)
  veg__mem%growth%fruit%carbon%ptr(ics:ice,iblk)            = veg_growth%fruit%carbon(:)
  veg__mem%growth%fruit%nitrogen%ptr(ics:ice,iblk)          = veg_growth%fruit%nitrogen(:)
  veg__mem%growth%fruit%phosphorus%ptr(ics:ice,iblk)        = veg_growth%fruit%phosphorus(:)
  veg__mem%growth%fruit%carbon13%ptr(ics:ice,iblk)          = veg_growth%fruit%carbon13(:)
  veg__mem%growth%fruit%carbon14%ptr(ics:ice,iblk)          = veg_growth%fruit%carbon14(:)
  veg__mem%growth%fruit%nitrogen15%ptr(ics:ice,iblk)        = veg_growth%fruit%nitrogen15(:)
  veg__mem%growth%seed_bed%carbon%ptr(ics:ice,iblk)         = veg_growth%seed_bed%carbon(:)
  veg__mem%growth%seed_bed%nitrogen%ptr(ics:ice,iblk)       = veg_growth%seed_bed%nitrogen(:)
  veg__mem%growth%seed_bed%phosphorus%ptr(ics:ice,iblk)     = veg_growth%seed_bed%phosphorus(:)
  veg__mem%growth%seed_bed%carbon13%ptr(ics:ice,iblk)       = veg_growth%seed_bed%carbon13(:)
  veg__mem%growth%seed_bed%carbon14%ptr(ics:ice,iblk)       = veg_growth%seed_bed%carbon14(:)
  veg__mem%growth%seed_bed%nitrogen15%ptr(ics:ice,iblk)     = veg_growth%seed_bed%nitrogen15(:)

#endif

#if defined(Passback_veg_litterfall)
  ! pass the values (back) to process memory
  veg__mem%litterfall%leaf%carbon%ptr(ics:ice,iblk)             = veg_litterfall%leaf%carbon(:)
  veg__mem%litterfall%leaf%nitrogen%ptr(ics:ice,iblk)           = veg_litterfall%leaf%nitrogen(:)
  veg__mem%litterfall%leaf%phosphorus%ptr(ics:ice,iblk)         = veg_litterfall%leaf%phosphorus(:)
  veg__mem%litterfall%leaf%carbon13%ptr(ics:ice,iblk)           = veg_litterfall%leaf%carbon13(:)
  veg__mem%litterfall%leaf%carbon14%ptr(ics:ice,iblk)           = veg_litterfall%leaf%carbon14(:)
  veg__mem%litterfall%leaf%nitrogen15%ptr(ics:ice,iblk)         = veg_litterfall%leaf%nitrogen15(:)
  veg__mem%litterfall%fine_root%carbon%ptr(ics:ice,iblk)        = veg_litterfall%fine_root%carbon(:)
  veg__mem%litterfall%fine_root%nitrogen%ptr(ics:ice,iblk)      = veg_litterfall%fine_root%nitrogen(:)
  veg__mem%litterfall%fine_root%phosphorus%ptr(ics:ice,iblk)    = veg_litterfall%fine_root%phosphorus(:)
  veg__mem%litterfall%fine_root%carbon13%ptr(ics:ice,iblk)      = veg_litterfall%fine_root%carbon13(:)
  veg__mem%litterfall%fine_root%carbon14%ptr(ics:ice,iblk)      = veg_litterfall%fine_root%carbon14(:)
  veg__mem%litterfall%fine_root%nitrogen15%ptr(ics:ice,iblk)    = veg_litterfall%fine_root%nitrogen15(:)
  veg__mem%litterfall%coarse_root%carbon%ptr(ics:ice,iblk)      = veg_litterfall%coarse_root%carbon(:)
  veg__mem%litterfall%coarse_root%nitrogen%ptr(ics:ice,iblk)    = veg_litterfall%coarse_root%nitrogen(:)
  veg__mem%litterfall%coarse_root%phosphorus%ptr(ics:ice,iblk)  = veg_litterfall%coarse_root%phosphorus(:)
  veg__mem%litterfall%coarse_root%carbon13%ptr(ics:ice,iblk)    = veg_litterfall%coarse_root%carbon13(:)
  veg__mem%litterfall%coarse_root%carbon14%ptr(ics:ice,iblk)    = veg_litterfall%coarse_root%carbon14(:)
  veg__mem%litterfall%coarse_root%nitrogen15%ptr(ics:ice,iblk)  = veg_litterfall%coarse_root%nitrogen15(:)
  veg__mem%litterfall%sap_wood%carbon%ptr(ics:ice,iblk)         = veg_litterfall%sap_wood%carbon(:)
  veg__mem%litterfall%sap_wood%nitrogen%ptr(ics:ice,iblk)       = veg_litterfall%sap_wood%nitrogen(:)
  veg__mem%litterfall%sap_wood%phosphorus%ptr(ics:ice,iblk)     = veg_litterfall%sap_wood%phosphorus(:)
  veg__mem%litterfall%sap_wood%carbon13%ptr(ics:ice,iblk)       = veg_litterfall%sap_wood%carbon13(:)
  veg__mem%litterfall%sap_wood%carbon14%ptr(ics:ice,iblk)       = veg_litterfall%sap_wood%carbon14(:)
  veg__mem%litterfall%sap_wood%nitrogen15%ptr(ics:ice,iblk)     = veg_litterfall%sap_wood%nitrogen15(:)
  veg__mem%litterfall%heart_wood%carbon%ptr(ics:ice,iblk)       = veg_litterfall%heart_wood%carbon(:)
  veg__mem%litterfall%heart_wood%nitrogen%ptr(ics:ice,iblk)     = veg_litterfall%heart_wood%nitrogen(:)
  veg__mem%litterfall%heart_wood%phosphorus%ptr(ics:ice,iblk)   = veg_litterfall%heart_wood%phosphorus(:)
  veg__mem%litterfall%heart_wood%carbon13%ptr(ics:ice,iblk)     = veg_litterfall%heart_wood%carbon13(:)
  veg__mem%litterfall%heart_wood%carbon14%ptr(ics:ice,iblk)     = veg_litterfall%heart_wood%carbon14(:)
  veg__mem%litterfall%heart_wood%nitrogen15%ptr(ics:ice,iblk)   = veg_litterfall%heart_wood%nitrogen15(:)
  veg__mem%litterfall%labile%carbon%ptr(ics:ice,iblk)           = veg_litterfall%labile%carbon(:)
  veg__mem%litterfall%labile%nitrogen%ptr(ics:ice,iblk)         = veg_litterfall%labile%nitrogen(:)
  veg__mem%litterfall%labile%phosphorus%ptr(ics:ice,iblk)       = veg_litterfall%labile%phosphorus(:)
  veg__mem%litterfall%labile%carbon13%ptr(ics:ice,iblk)         = veg_litterfall%labile%carbon13(:)
  veg__mem%litterfall%labile%carbon14%ptr(ics:ice,iblk)         = veg_litterfall%labile%carbon14(:)
  veg__mem%litterfall%labile%nitrogen15%ptr(ics:ice,iblk)       = veg_litterfall%labile%nitrogen15(:)
  veg__mem%litterfall%reserve%carbon%ptr(ics:ice,iblk)          = veg_litterfall%reserve%carbon(:)
  veg__mem%litterfall%reserve%nitrogen%ptr(ics:ice,iblk)        = veg_litterfall%reserve%nitrogen(:)
  veg__mem%litterfall%reserve%phosphorus%ptr(ics:ice,iblk)      = veg_litterfall%reserve%phosphorus(:)
  veg__mem%litterfall%reserve%carbon13%ptr(ics:ice,iblk)        = veg_litterfall%reserve%carbon13(:)
  veg__mem%litterfall%reserve%carbon14%ptr(ics:ice,iblk)        = veg_litterfall%reserve%carbon14(:)
  veg__mem%litterfall%reserve%nitrogen15%ptr(ics:ice,iblk)      = veg_litterfall%reserve%nitrogen15(:)
  veg__mem%litterfall%fruit%carbon%ptr(ics:ice,iblk)            = veg_litterfall%fruit%carbon(:)
  veg__mem%litterfall%fruit%nitrogen%ptr(ics:ice,iblk)          = veg_litterfall%fruit%nitrogen(:)
  veg__mem%litterfall%fruit%phosphorus%ptr(ics:ice,iblk)        = veg_litterfall%fruit%phosphorus(:)
  veg__mem%litterfall%fruit%carbon13%ptr(ics:ice,iblk)          = veg_litterfall%fruit%carbon13(:)
  veg__mem%litterfall%fruit%carbon14%ptr(ics:ice,iblk)          = veg_litterfall%fruit%carbon14(:)
  veg__mem%litterfall%fruit%nitrogen15%ptr(ics:ice,iblk)        = veg_litterfall%fruit%nitrogen15(:)
  veg__mem%litterfall%seed_bed%carbon%ptr(ics:ice,iblk)         = veg_litterfall%seed_bed%carbon(:)
  veg__mem%litterfall%seed_bed%nitrogen%ptr(ics:ice,iblk)       = veg_litterfall%seed_bed%nitrogen(:)
  veg__mem%litterfall%seed_bed%phosphorus%ptr(ics:ice,iblk)     = veg_litterfall%seed_bed%phosphorus(:)
  veg__mem%litterfall%seed_bed%carbon13%ptr(ics:ice,iblk)       = veg_litterfall%seed_bed%carbon13(:)
  veg__mem%litterfall%seed_bed%carbon14%ptr(ics:ice,iblk)       = veg_litterfall%seed_bed%carbon14(:)
  veg__mem%litterfall%seed_bed%nitrogen15%ptr(ics:ice,iblk)     = veg_litterfall%seed_bed%nitrogen15(:)

#endif

#if defined(Passback_veg_falloc)
  ! pass the values (back) to process memory
  veg__mem%falloc%leaf%carbon%ptr(ics:ice,iblk)             = veg_falloc%leaf%carbon(:)
  veg__mem%falloc%leaf%nitrogen%ptr(ics:ice,iblk)           = veg_falloc%leaf%nitrogen(:)
  veg__mem%falloc%leaf%phosphorus%ptr(ics:ice,iblk)         = veg_falloc%leaf%phosphorus(:)
  veg__mem%falloc%leaf%carbon13%ptr(ics:ice,iblk)           = veg_falloc%leaf%carbon13(:)
  veg__mem%falloc%leaf%carbon14%ptr(ics:ice,iblk)           = veg_falloc%leaf%carbon14(:)
  veg__mem%falloc%leaf%nitrogen15%ptr(ics:ice,iblk)         = veg_falloc%leaf%nitrogen15(:)
  veg__mem%falloc%fine_root%carbon%ptr(ics:ice,iblk)        = veg_falloc%fine_root%carbon(:)
  veg__mem%falloc%fine_root%nitrogen%ptr(ics:ice,iblk)      = veg_falloc%fine_root%nitrogen(:)
  veg__mem%falloc%fine_root%phosphorus%ptr(ics:ice,iblk)    = veg_falloc%fine_root%phosphorus(:)
  veg__mem%falloc%fine_root%carbon13%ptr(ics:ice,iblk)      = veg_falloc%fine_root%carbon13(:)
  veg__mem%falloc%fine_root%carbon14%ptr(ics:ice,iblk)      = veg_falloc%fine_root%carbon14(:)
  veg__mem%falloc%fine_root%nitrogen15%ptr(ics:ice,iblk)    = veg_falloc%fine_root%nitrogen15(:)
  veg__mem%falloc%coarse_root%carbon%ptr(ics:ice,iblk)      = veg_falloc%coarse_root%carbon(:)
  veg__mem%falloc%coarse_root%nitrogen%ptr(ics:ice,iblk)    = veg_falloc%coarse_root%nitrogen(:)
  veg__mem%falloc%coarse_root%phosphorus%ptr(ics:ice,iblk)  = veg_falloc%coarse_root%phosphorus(:)
  veg__mem%falloc%coarse_root%carbon13%ptr(ics:ice,iblk)    = veg_falloc%coarse_root%carbon13(:)
  veg__mem%falloc%coarse_root%carbon14%ptr(ics:ice,iblk)    = veg_falloc%coarse_root%carbon14(:)
  veg__mem%falloc%coarse_root%nitrogen15%ptr(ics:ice,iblk)  = veg_falloc%coarse_root%nitrogen15(:)
  veg__mem%falloc%sap_wood%carbon%ptr(ics:ice,iblk)         = veg_falloc%sap_wood%carbon(:)
  veg__mem%falloc%sap_wood%nitrogen%ptr(ics:ice,iblk)       = veg_falloc%sap_wood%nitrogen(:)
  veg__mem%falloc%sap_wood%phosphorus%ptr(ics:ice,iblk)     = veg_falloc%sap_wood%phosphorus(:)
  veg__mem%falloc%sap_wood%carbon13%ptr(ics:ice,iblk)       = veg_falloc%sap_wood%carbon13(:)
  veg__mem%falloc%sap_wood%carbon14%ptr(ics:ice,iblk)       = veg_falloc%sap_wood%carbon14(:)
  veg__mem%falloc%sap_wood%nitrogen15%ptr(ics:ice,iblk)     = veg_falloc%sap_wood%nitrogen15(:)
  veg__mem%falloc%heart_wood%carbon%ptr(ics:ice,iblk)       = veg_falloc%heart_wood%carbon(:)
  veg__mem%falloc%heart_wood%nitrogen%ptr(ics:ice,iblk)     = veg_falloc%heart_wood%nitrogen(:)
  veg__mem%falloc%heart_wood%phosphorus%ptr(ics:ice,iblk)   = veg_falloc%heart_wood%phosphorus(:)
  veg__mem%falloc%heart_wood%carbon13%ptr(ics:ice,iblk)     = veg_falloc%heart_wood%carbon13(:)
  veg__mem%falloc%heart_wood%carbon14%ptr(ics:ice,iblk)     = veg_falloc%heart_wood%carbon14(:)
  veg__mem%falloc%heart_wood%nitrogen15%ptr(ics:ice,iblk)   = veg_falloc%heart_wood%nitrogen15(:)
  veg__mem%falloc%labile%carbon%ptr(ics:ice,iblk)           = veg_falloc%labile%carbon(:)
  veg__mem%falloc%labile%nitrogen%ptr(ics:ice,iblk)         = veg_falloc%labile%nitrogen(:)
  veg__mem%falloc%labile%phosphorus%ptr(ics:ice,iblk)       = veg_falloc%labile%phosphorus(:)
  veg__mem%falloc%labile%carbon13%ptr(ics:ice,iblk)         = veg_falloc%labile%carbon13(:)
  veg__mem%falloc%labile%carbon14%ptr(ics:ice,iblk)         = veg_falloc%labile%carbon14(:)
  veg__mem%falloc%labile%nitrogen15%ptr(ics:ice,iblk)       = veg_falloc%labile%nitrogen15(:)
  veg__mem%falloc%reserve%carbon%ptr(ics:ice,iblk)          = veg_falloc%reserve%carbon(:)
  veg__mem%falloc%reserve%nitrogen%ptr(ics:ice,iblk)        = veg_falloc%reserve%nitrogen(:)
  veg__mem%falloc%reserve%phosphorus%ptr(ics:ice,iblk)      = veg_falloc%reserve%phosphorus(:)
  veg__mem%falloc%reserve%carbon13%ptr(ics:ice,iblk)        = veg_falloc%reserve%carbon13(:)
  veg__mem%falloc%reserve%carbon14%ptr(ics:ice,iblk)        = veg_falloc%reserve%carbon14(:)
  veg__mem%falloc%reserve%nitrogen15%ptr(ics:ice,iblk)      = veg_falloc%reserve%nitrogen15(:)
  veg__mem%falloc%fruit%carbon%ptr(ics:ice,iblk)            = veg_falloc%fruit%carbon(:)
  veg__mem%falloc%fruit%nitrogen%ptr(ics:ice,iblk)          = veg_falloc%fruit%nitrogen(:)
  veg__mem%falloc%fruit%phosphorus%ptr(ics:ice,iblk)        = veg_falloc%fruit%phosphorus(:)
  veg__mem%falloc%fruit%carbon13%ptr(ics:ice,iblk)          = veg_falloc%fruit%carbon13(:)
  veg__mem%falloc%fruit%carbon14%ptr(ics:ice,iblk)          = veg_falloc%fruit%carbon14(:)
  veg__mem%falloc%fruit%nitrogen15%ptr(ics:ice,iblk)        = veg_falloc%fruit%nitrogen15(:)
  veg__mem%falloc%seed_bed%carbon%ptr(ics:ice,iblk)         = veg_falloc%seed_bed%carbon(:)
  veg__mem%falloc%seed_bed%nitrogen%ptr(ics:ice,iblk)       = veg_falloc%seed_bed%nitrogen(:)
  veg__mem%falloc%seed_bed%phosphorus%ptr(ics:ice,iblk)     = veg_falloc%seed_bed%phosphorus(:)
  veg__mem%falloc%seed_bed%carbon13%ptr(ics:ice,iblk)       = veg_falloc%seed_bed%carbon13(:)
  veg__mem%falloc%seed_bed%carbon14%ptr(ics:ice,iblk)       = veg_falloc%seed_bed%carbon14(:)
  veg__mem%falloc%seed_bed%nitrogen15%ptr(ics:ice,iblk)     = veg_falloc%seed_bed%nitrogen15(:)

#endif

#if defined(Passback_veg_total_flux)
  ! pass the values (back) to process memory
  veg__mem%total_flux%leaf%carbon%ptr(ics:ice,iblk)             = veg_total_flux%leaf%carbon(:)
  veg__mem%total_flux%leaf%nitrogen%ptr(ics:ice,iblk)           = veg_total_flux%leaf%nitrogen(:)
  veg__mem%total_flux%leaf%phosphorus%ptr(ics:ice,iblk)         = veg_total_flux%leaf%phosphorus(:)
  veg__mem%total_flux%leaf%carbon13%ptr(ics:ice,iblk)           = veg_total_flux%leaf%carbon13(:)
  veg__mem%total_flux%leaf%carbon14%ptr(ics:ice,iblk)           = veg_total_flux%leaf%carbon14(:)
  veg__mem%total_flux%leaf%nitrogen15%ptr(ics:ice,iblk)         = veg_total_flux%leaf%nitrogen15(:)
  veg__mem%total_flux%fine_root%carbon%ptr(ics:ice,iblk)        = veg_total_flux%fine_root%carbon(:)
  veg__mem%total_flux%fine_root%nitrogen%ptr(ics:ice,iblk)      = veg_total_flux%fine_root%nitrogen(:)
  veg__mem%total_flux%fine_root%phosphorus%ptr(ics:ice,iblk)    = veg_total_flux%fine_root%phosphorus(:)
  veg__mem%total_flux%fine_root%carbon13%ptr(ics:ice,iblk)      = veg_total_flux%fine_root%carbon13(:)
  veg__mem%total_flux%fine_root%carbon14%ptr(ics:ice,iblk)      = veg_total_flux%fine_root%carbon14(:)
  veg__mem%total_flux%fine_root%nitrogen15%ptr(ics:ice,iblk)    = veg_total_flux%fine_root%nitrogen15(:)
  veg__mem%total_flux%coarse_root%carbon%ptr(ics:ice,iblk)      = veg_total_flux%coarse_root%carbon(:)
  veg__mem%total_flux%coarse_root%nitrogen%ptr(ics:ice,iblk)    = veg_total_flux%coarse_root%nitrogen(:)
  veg__mem%total_flux%coarse_root%phosphorus%ptr(ics:ice,iblk)  = veg_total_flux%coarse_root%phosphorus(:)
  veg__mem%total_flux%coarse_root%carbon13%ptr(ics:ice,iblk)    = veg_total_flux%coarse_root%carbon13(:)
  veg__mem%total_flux%coarse_root%carbon14%ptr(ics:ice,iblk)    = veg_total_flux%coarse_root%carbon14(:)
  veg__mem%total_flux%coarse_root%nitrogen15%ptr(ics:ice,iblk)  = veg_total_flux%coarse_root%nitrogen15(:)
  veg__mem%total_flux%sap_wood%carbon%ptr(ics:ice,iblk)         = veg_total_flux%sap_wood%carbon(:)
  veg__mem%total_flux%sap_wood%nitrogen%ptr(ics:ice,iblk)       = veg_total_flux%sap_wood%nitrogen(:)
  veg__mem%total_flux%sap_wood%phosphorus%ptr(ics:ice,iblk)     = veg_total_flux%sap_wood%phosphorus(:)
  veg__mem%total_flux%sap_wood%carbon13%ptr(ics:ice,iblk)       = veg_total_flux%sap_wood%carbon13(:)
  veg__mem%total_flux%sap_wood%carbon14%ptr(ics:ice,iblk)       = veg_total_flux%sap_wood%carbon14(:)
  veg__mem%total_flux%sap_wood%nitrogen15%ptr(ics:ice,iblk)     = veg_total_flux%sap_wood%nitrogen15(:)
  veg__mem%total_flux%heart_wood%carbon%ptr(ics:ice,iblk)       = veg_total_flux%heart_wood%carbon(:)
  veg__mem%total_flux%heart_wood%nitrogen%ptr(ics:ice,iblk)     = veg_total_flux%heart_wood%nitrogen(:)
  veg__mem%total_flux%heart_wood%phosphorus%ptr(ics:ice,iblk)   = veg_total_flux%heart_wood%phosphorus(:)
  veg__mem%total_flux%heart_wood%carbon13%ptr(ics:ice,iblk)     = veg_total_flux%heart_wood%carbon13(:)
  veg__mem%total_flux%heart_wood%carbon14%ptr(ics:ice,iblk)     = veg_total_flux%heart_wood%carbon14(:)
  veg__mem%total_flux%heart_wood%nitrogen15%ptr(ics:ice,iblk)   = veg_total_flux%heart_wood%nitrogen15(:)
  veg__mem%total_flux%labile%carbon%ptr(ics:ice,iblk)           = veg_total_flux%labile%carbon(:)
  veg__mem%total_flux%labile%nitrogen%ptr(ics:ice,iblk)         = veg_total_flux%labile%nitrogen(:)
  veg__mem%total_flux%labile%phosphorus%ptr(ics:ice,iblk)       = veg_total_flux%labile%phosphorus(:)
  veg__mem%total_flux%labile%carbon13%ptr(ics:ice,iblk)         = veg_total_flux%labile%carbon13(:)
  veg__mem%total_flux%labile%carbon14%ptr(ics:ice,iblk)         = veg_total_flux%labile%carbon14(:)
  veg__mem%total_flux%labile%nitrogen15%ptr(ics:ice,iblk)       = veg_total_flux%labile%nitrogen15(:)
  veg__mem%total_flux%reserve%carbon%ptr(ics:ice,iblk)          = veg_total_flux%reserve%carbon(:)
  veg__mem%total_flux%reserve%nitrogen%ptr(ics:ice,iblk)        = veg_total_flux%reserve%nitrogen(:)
  veg__mem%total_flux%reserve%phosphorus%ptr(ics:ice,iblk)      = veg_total_flux%reserve%phosphorus(:)
  veg__mem%total_flux%reserve%carbon13%ptr(ics:ice,iblk)        = veg_total_flux%reserve%carbon13(:)
  veg__mem%total_flux%reserve%carbon14%ptr(ics:ice,iblk)        = veg_total_flux%reserve%carbon14(:)
  veg__mem%total_flux%reserve%nitrogen15%ptr(ics:ice,iblk)      = veg_total_flux%reserve%nitrogen15(:)
  veg__mem%total_flux%fruit%carbon%ptr(ics:ice,iblk)            = veg_total_flux%fruit%carbon(:)
  veg__mem%total_flux%fruit%nitrogen%ptr(ics:ice,iblk)          = veg_total_flux%fruit%nitrogen(:)
  veg__mem%total_flux%fruit%phosphorus%ptr(ics:ice,iblk)        = veg_total_flux%fruit%phosphorus(:)
  veg__mem%total_flux%fruit%carbon13%ptr(ics:ice,iblk)          = veg_total_flux%fruit%carbon13(:)
  veg__mem%total_flux%fruit%carbon14%ptr(ics:ice,iblk)          = veg_total_flux%fruit%carbon14(:)
  veg__mem%total_flux%fruit%nitrogen15%ptr(ics:ice,iblk)        = veg_total_flux%fruit%nitrogen15(:)
  veg__mem%total_flux%seed_bed%carbon%ptr(ics:ice,iblk)         = veg_total_flux%seed_bed%carbon(:)
  veg__mem%total_flux%seed_bed%nitrogen%ptr(ics:ice,iblk)       = veg_total_flux%seed_bed%nitrogen(:)
  veg__mem%total_flux%seed_bed%phosphorus%ptr(ics:ice,iblk)     = veg_total_flux%seed_bed%phosphorus(:)
  veg__mem%total_flux%seed_bed%carbon13%ptr(ics:ice,iblk)       = veg_total_flux%seed_bed%carbon13(:)
  veg__mem%total_flux%seed_bed%carbon14%ptr(ics:ice,iblk)       = veg_total_flux%seed_bed%carbon14(:)
  veg__mem%total_flux%seed_bed%nitrogen15%ptr(ics:ice,iblk)     = veg_total_flux%seed_bed%nitrogen15(:)

#endif

#if defined(Passback_veg_exudation)
  ! pass the values (back) to process memory
  veg__mem%exudation%carbon%ptr(ics:ice,iblk)             = veg_exudation%carbon(:)
  veg__mem%exudation%nitrogen%ptr(ics:ice,iblk)           = veg_exudation%nitrogen(:)
  veg__mem%exudation%phosphorus%ptr(ics:ice,iblk)         = veg_exudation%phosphorus(:)
  veg__mem%exudation%carbon13%ptr(ics:ice,iblk)           = veg_exudation%carbon13(:)
  veg__mem%exudation%carbon14%ptr(ics:ice,iblk)           = veg_exudation%carbon14(:)
  veg__mem%exudation%nitrogen15%ptr(ics:ice,iblk)         = veg_exudation%nitrogen15(:)

#endif

#if defined(Passback_veg_establishment)
  ! pass the values (back) to process memory
  veg__mem%establishment%carbon%ptr(ics:ice,iblk)             = veg_establishment%carbon(:)
  veg__mem%establishment%nitrogen%ptr(ics:ice,iblk)           = veg_establishment%nitrogen(:)
  veg__mem%establishment%phosphorus%ptr(ics:ice,iblk)         = veg_establishment%phosphorus(:)
  veg__mem%establishment%carbon13%ptr(ics:ice,iblk)           = veg_establishment%carbon13(:)
  veg__mem%establishment%carbon14%ptr(ics:ice,iblk)           = veg_establishment%carbon14(:)
  veg__mem%establishment%nitrogen15%ptr(ics:ice,iblk)         = veg_establishment%nitrogen15(:)

#endif

#if defined(Passback_veg_reserve_use)
  ! pass the values (back) to process memory
  veg__mem%reserve_use%carbon%ptr(ics:ice,iblk)             = veg_reserve_use%carbon(:)
  veg__mem%reserve_use%nitrogen%ptr(ics:ice,iblk)           = veg_reserve_use%nitrogen(:)
  veg__mem%reserve_use%phosphorus%ptr(ics:ice,iblk)         = veg_reserve_use%phosphorus(:)
  veg__mem%reserve_use%carbon13%ptr(ics:ice,iblk)           = veg_reserve_use%carbon13(:)
  veg__mem%reserve_use%carbon14%ptr(ics:ice,iblk)           = veg_reserve_use%carbon14(:)
  veg__mem%reserve_use%nitrogen15%ptr(ics:ice,iblk)         = veg_reserve_use%nitrogen15(:)

#endif

#if defined(Passback_veg_total_biomass)
  ! pass the values (back) to process memory
  veg__mem%total_biomass%carbon%ptr(ics:ice,iblk)             = veg_total_biomass%carbon(:)
  veg__mem%total_biomass%nitrogen%ptr(ics:ice,iblk)           = veg_total_biomass%nitrogen(:)
  veg__mem%total_biomass%phosphorus%ptr(ics:ice,iblk)         = veg_total_biomass%phosphorus(:)
  veg__mem%total_biomass%carbon13%ptr(ics:ice,iblk)           = veg_total_biomass%carbon13(:)
  veg__mem%total_biomass%carbon14%ptr(ics:ice,iblk)           = veg_total_biomass%carbon14(:)
  veg__mem%total_biomass%nitrogen15%ptr(ics:ice,iblk)         = veg_total_biomass%nitrogen15(:)

#endif


! -------------------------------------------------------
! pass back values to pools of vegetation memory
! -------------------------------------------------------

#if defined(Passback_sb_pool)
  ! pass the values (back) to process memory
  sb__mem%pool%dom%carbon%ptr(ics:ice,1:nsoil_sb,iblk)                  = sb_pool%dom%carbon(:,:)
  sb__mem%pool%dom%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_pool%dom%nitrogen(:,:)
  sb__mem%pool%dom%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_pool%dom%phosphorus(:,:)
  sb__mem%pool%dom%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_pool%dom%carbon13(:,:)
  sb__mem%pool%dom%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_pool%dom%carbon14(:,:)
  sb__mem%pool%dom%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_pool%dom%nitrogen15(:,:)
  sb__mem%pool%dom_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_pool%dom_assoc%carbon(:,:)
  sb__mem%pool%dom_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_pool%dom_assoc%nitrogen(:,:)
  sb__mem%pool%dom_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_pool%dom_assoc%phosphorus(:,:)
  sb__mem%pool%dom_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_pool%dom_assoc%carbon13(:,:)
  sb__mem%pool%dom_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_pool%dom_assoc%carbon14(:,:)
  sb__mem%pool%dom_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_pool%dom_assoc%nitrogen15(:,:)
  sb__mem%pool%soluable_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_pool%soluable_litter%carbon(:,:)
  sb__mem%pool%soluable_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_pool%soluable_litter%nitrogen(:,:)
  sb__mem%pool%soluable_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)  = sb_pool%soluable_litter%phosphorus(:,:)
  sb__mem%pool%soluable_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_pool%soluable_litter%carbon13(:,:)
  sb__mem%pool%soluable_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_pool%soluable_litter%carbon14(:,:)
  sb__mem%pool%soluable_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)  = sb_pool%soluable_litter%nitrogen15(:,:)
  sb__mem%pool%polymeric_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_pool%polymeric_litter%carbon(:,:)
  sb__mem%pool%polymeric_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_pool%polymeric_litter%nitrogen(:,:)
  sb__mem%pool%polymeric_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk) = sb_pool%polymeric_litter%phosphorus(:,:)
  sb__mem%pool%polymeric_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_pool%polymeric_litter%carbon13(:,:)
  sb__mem%pool%polymeric_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_pool%polymeric_litter%carbon14(:,:)
  sb__mem%pool%polymeric_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk) = sb_pool%polymeric_litter%nitrogen15(:,:)
  sb__mem%pool%woody_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_pool%woody_litter%carbon(:,:)
  sb__mem%pool%woody_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_pool%woody_litter%nitrogen(:,:)
  sb__mem%pool%woody_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_pool%woody_litter%phosphorus(:,:)
  sb__mem%pool%woody_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_pool%woody_litter%carbon13(:,:)
  sb__mem%pool%woody_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_pool%woody_litter%carbon14(:,:)
  sb__mem%pool%woody_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_pool%woody_litter%nitrogen15(:,:)
  sb__mem%pool%fungi%carbon%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_pool%fungi%carbon(:,:)
  sb__mem%pool%fungi%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_pool%fungi%nitrogen(:,:)
  sb__mem%pool%fungi%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_pool%fungi%phosphorus(:,:)
  sb__mem%pool%fungi%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_pool%fungi%carbon13(:,:)
  sb__mem%pool%fungi%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_pool%fungi%carbon14(:,:)
  sb__mem%pool%fungi%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_pool%fungi%nitrogen15(:,:)
  sb__mem%pool%mycorrhiza%carbon%ptr(ics:ice,1:nsoil_sb,iblk)           = sb_pool%mycorrhiza%carbon(:,:)
  sb__mem%pool%mycorrhiza%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_pool%mycorrhiza%nitrogen(:,:)
  sb__mem%pool%mycorrhiza%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_pool%mycorrhiza%phosphorus(:,:)
  sb__mem%pool%mycorrhiza%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_pool%mycorrhiza%carbon13(:,:)
  sb__mem%pool%mycorrhiza%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_pool%mycorrhiza%carbon14(:,:)
  sb__mem%pool%mycorrhiza%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_pool%mycorrhiza%nitrogen15(:,:)
  sb__mem%pool%microbial%carbon%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_pool%microbial%carbon(:,:)
  sb__mem%pool%microbial%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_pool%microbial%nitrogen(:,:)
  sb__mem%pool%microbial%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_pool%microbial%phosphorus(:,:)
  sb__mem%pool%microbial%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_pool%microbial%carbon13(:,:)
  sb__mem%pool%microbial%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_pool%microbial%carbon14(:,:)
  sb__mem%pool%microbial%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_pool%microbial%nitrogen15(:,:)
  sb__mem%pool%residue%carbon%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_pool%residue%carbon(:,:)
  sb__mem%pool%residue%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_pool%residue%nitrogen(:,:)
  sb__mem%pool%residue%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_pool%residue%phosphorus(:,:)
  sb__mem%pool%residue%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_pool%residue%carbon13(:,:)
  sb__mem%pool%residue%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_pool%residue%carbon14(:,:)
  sb__mem%pool%residue%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_pool%residue%nitrogen15(:,:)
  sb__mem%pool%residue_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_pool%residue_assoc%carbon(:,:)
  sb__mem%pool%residue_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_pool%residue_assoc%nitrogen(:,:)
  sb__mem%pool%residue_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_pool%residue_assoc%phosphorus(:,:)
  sb__mem%pool%residue_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_pool%residue_assoc%carbon13(:,:)
  sb__mem%pool%residue_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_pool%residue_assoc%carbon14(:,:)
  sb__mem%pool%residue_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_pool%residue_assoc%nitrogen15(:,:)

#endif

#if defined(Passback_sb_formation)
  ! pass the values (back) to process memory
  sb__mem%formation%dom%carbon%ptr(ics:ice,1:nsoil_sb,iblk)                  = sb_formation%dom%carbon(:,:)
  sb__mem%formation%dom%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_formation%dom%nitrogen(:,:)
  sb__mem%formation%dom%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_formation%dom%phosphorus(:,:)
  sb__mem%formation%dom%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_formation%dom%carbon13(:,:)
  sb__mem%formation%dom%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_formation%dom%carbon14(:,:)
  sb__mem%formation%dom%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_formation%dom%nitrogen15(:,:)
  sb__mem%formation%dom_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_formation%dom_assoc%carbon(:,:)
  sb__mem%formation%dom_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_formation%dom_assoc%nitrogen(:,:)
  sb__mem%formation%dom_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_formation%dom_assoc%phosphorus(:,:)
  sb__mem%formation%dom_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_formation%dom_assoc%carbon13(:,:)
  sb__mem%formation%dom_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_formation%dom_assoc%carbon14(:,:)
  sb__mem%formation%dom_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_formation%dom_assoc%nitrogen15(:,:)
  sb__mem%formation%soluable_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_formation%soluable_litter%carbon(:,:)
  sb__mem%formation%soluable_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_formation%soluable_litter%nitrogen(:,:)
  sb__mem%formation%soluable_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)  = sb_formation%soluable_litter%phosphorus(:,:)
  sb__mem%formation%soluable_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_formation%soluable_litter%carbon13(:,:)
  sb__mem%formation%soluable_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_formation%soluable_litter%carbon14(:,:)
  sb__mem%formation%soluable_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)  = sb_formation%soluable_litter%nitrogen15(:,:)
  sb__mem%formation%polymeric_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_formation%polymeric_litter%carbon(:,:)
  sb__mem%formation%polymeric_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_formation%polymeric_litter%nitrogen(:,:)
  sb__mem%formation%polymeric_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk) = sb_formation%polymeric_litter%phosphorus(:,:)
  sb__mem%formation%polymeric_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_formation%polymeric_litter%carbon13(:,:)
  sb__mem%formation%polymeric_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_formation%polymeric_litter%carbon14(:,:)
  sb__mem%formation%polymeric_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk) = sb_formation%polymeric_litter%nitrogen15(:,:)
  sb__mem%formation%woody_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_formation%woody_litter%carbon(:,:)
  sb__mem%formation%woody_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_formation%woody_litter%nitrogen(:,:)
  sb__mem%formation%woody_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_formation%woody_litter%phosphorus(:,:)
  sb__mem%formation%woody_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_formation%woody_litter%carbon13(:,:)
  sb__mem%formation%woody_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_formation%woody_litter%carbon14(:,:)
  sb__mem%formation%woody_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_formation%woody_litter%nitrogen15(:,:)
  sb__mem%formation%fungi%carbon%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_formation%fungi%carbon(:,:)
  sb__mem%formation%fungi%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_formation%fungi%nitrogen(:,:)
  sb__mem%formation%fungi%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_formation%fungi%phosphorus(:,:)
  sb__mem%formation%fungi%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_formation%fungi%carbon13(:,:)
  sb__mem%formation%fungi%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_formation%fungi%carbon14(:,:)
  sb__mem%formation%fungi%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_formation%fungi%nitrogen15(:,:)
  sb__mem%formation%mycorrhiza%carbon%ptr(ics:ice,1:nsoil_sb,iblk)           = sb_formation%mycorrhiza%carbon(:,:)
  sb__mem%formation%mycorrhiza%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_formation%mycorrhiza%nitrogen(:,:)
  sb__mem%formation%mycorrhiza%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_formation%mycorrhiza%phosphorus(:,:)
  sb__mem%formation%mycorrhiza%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_formation%mycorrhiza%carbon13(:,:)
  sb__mem%formation%mycorrhiza%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_formation%mycorrhiza%carbon14(:,:)
  sb__mem%formation%mycorrhiza%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_formation%mycorrhiza%nitrogen15(:,:)
  sb__mem%formation%microbial%carbon%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_formation%microbial%carbon(:,:)
  sb__mem%formation%microbial%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_formation%microbial%nitrogen(:,:)
  sb__mem%formation%microbial%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_formation%microbial%phosphorus(:,:)
  sb__mem%formation%microbial%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_formation%microbial%carbon13(:,:)
  sb__mem%formation%microbial%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_formation%microbial%carbon14(:,:)
  sb__mem%formation%microbial%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_formation%microbial%nitrogen15(:,:)
  sb__mem%formation%residue%carbon%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_formation%residue%carbon(:,:)
  sb__mem%formation%residue%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_formation%residue%nitrogen(:,:)
  sb__mem%formation%residue%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_formation%residue%phosphorus(:,:)
  sb__mem%formation%residue%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_formation%residue%carbon13(:,:)
  sb__mem%formation%residue%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_formation%residue%carbon14(:,:)
  sb__mem%formation%residue%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_formation%residue%nitrogen15(:,:)
  sb__mem%formation%residue_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_formation%residue_assoc%carbon(:,:)
  sb__mem%formation%residue_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_formation%residue_assoc%nitrogen(:,:)
  sb__mem%formation%residue_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_formation%residue_assoc%phosphorus(:,:)
  sb__mem%formation%residue_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_formation%residue_assoc%carbon13(:,:)
  sb__mem%formation%residue_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_formation%residue_assoc%carbon14(:,:)
  sb__mem%formation%residue_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_formation%residue_assoc%nitrogen15(:,:)

#endif

#if defined(Passback_sb_loss)
  ! pass the values (back) to process memory
  sb__mem%loss%dom%carbon%ptr(ics:ice,1:nsoil_sb,iblk)                  = sb_loss%dom%carbon(:,:)
  sb__mem%loss%dom%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_loss%dom%nitrogen(:,:)
  sb__mem%loss%dom%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_loss%dom%phosphorus(:,:)
  sb__mem%loss%dom%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_loss%dom%carbon13(:,:)
  sb__mem%loss%dom%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_loss%dom%carbon14(:,:)
  sb__mem%loss%dom%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_loss%dom%nitrogen15(:,:)
  sb__mem%loss%dom_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_loss%dom_assoc%carbon(:,:)
  sb__mem%loss%dom_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_loss%dom_assoc%nitrogen(:,:)
  sb__mem%loss%dom_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_loss%dom_assoc%phosphorus(:,:)
  sb__mem%loss%dom_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_loss%dom_assoc%carbon13(:,:)
  sb__mem%loss%dom_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_loss%dom_assoc%carbon14(:,:)
  sb__mem%loss%dom_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_loss%dom_assoc%nitrogen15(:,:)
  sb__mem%loss%soluable_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_loss%soluable_litter%carbon(:,:)
  sb__mem%loss%soluable_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_loss%soluable_litter%nitrogen(:,:)
  sb__mem%loss%soluable_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)  = sb_loss%soluable_litter%phosphorus(:,:)
  sb__mem%loss%soluable_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_loss%soluable_litter%carbon13(:,:)
  sb__mem%loss%soluable_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_loss%soluable_litter%carbon14(:,:)
  sb__mem%loss%soluable_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)  = sb_loss%soluable_litter%nitrogen15(:,:)
  sb__mem%loss%polymeric_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_loss%polymeric_litter%carbon(:,:)
  sb__mem%loss%polymeric_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_loss%polymeric_litter%nitrogen(:,:)
  sb__mem%loss%polymeric_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk) = sb_loss%polymeric_litter%phosphorus(:,:)
  sb__mem%loss%polymeric_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_loss%polymeric_litter%carbon13(:,:)
  sb__mem%loss%polymeric_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_loss%polymeric_litter%carbon14(:,:)
  sb__mem%loss%polymeric_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk) = sb_loss%polymeric_litter%nitrogen15(:,:)
  sb__mem%loss%woody_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_loss%woody_litter%carbon(:,:)
  sb__mem%loss%woody_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_loss%woody_litter%nitrogen(:,:)
  sb__mem%loss%woody_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_loss%woody_litter%phosphorus(:,:)
  sb__mem%loss%woody_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_loss%woody_litter%carbon13(:,:)
  sb__mem%loss%woody_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_loss%woody_litter%carbon14(:,:)
  sb__mem%loss%woody_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_loss%woody_litter%nitrogen15(:,:)
  sb__mem%loss%fungi%carbon%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_loss%fungi%carbon(:,:)
  sb__mem%loss%fungi%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_loss%fungi%nitrogen(:,:)
  sb__mem%loss%fungi%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_loss%fungi%phosphorus(:,:)
  sb__mem%loss%fungi%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_loss%fungi%carbon13(:,:)
  sb__mem%loss%fungi%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_loss%fungi%carbon14(:,:)
  sb__mem%loss%fungi%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_loss%fungi%nitrogen15(:,:)
  sb__mem%loss%mycorrhiza%carbon%ptr(ics:ice,1:nsoil_sb,iblk)           = sb_loss%mycorrhiza%carbon(:,:)
  sb__mem%loss%mycorrhiza%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_loss%mycorrhiza%nitrogen(:,:)
  sb__mem%loss%mycorrhiza%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_loss%mycorrhiza%phosphorus(:,:)
  sb__mem%loss%mycorrhiza%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_loss%mycorrhiza%carbon13(:,:)
  sb__mem%loss%mycorrhiza%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_loss%mycorrhiza%carbon14(:,:)
  sb__mem%loss%mycorrhiza%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_loss%mycorrhiza%nitrogen15(:,:)
  sb__mem%loss%microbial%carbon%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_loss%microbial%carbon(:,:)
  sb__mem%loss%microbial%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_loss%microbial%nitrogen(:,:)
  sb__mem%loss%microbial%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_loss%microbial%phosphorus(:,:)
  sb__mem%loss%microbial%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_loss%microbial%carbon13(:,:)
  sb__mem%loss%microbial%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_loss%microbial%carbon14(:,:)
  sb__mem%loss%microbial%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_loss%microbial%nitrogen15(:,:)
  sb__mem%loss%residue%carbon%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_loss%residue%carbon(:,:)
  sb__mem%loss%residue%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_loss%residue%nitrogen(:,:)
  sb__mem%loss%residue%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_loss%residue%phosphorus(:,:)
  sb__mem%loss%residue%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_loss%residue%carbon13(:,:)
  sb__mem%loss%residue%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_loss%residue%carbon14(:,:)
  sb__mem%loss%residue%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_loss%residue%nitrogen15(:,:)
  sb__mem%loss%residue_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_loss%residue_assoc%carbon(:,:)
  sb__mem%loss%residue_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_loss%residue_assoc%nitrogen(:,:)
  sb__mem%loss%residue_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_loss%residue_assoc%phosphorus(:,:)
  sb__mem%loss%residue_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_loss%residue_assoc%carbon13(:,:)
  sb__mem%loss%residue_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_loss%residue_assoc%carbon14(:,:)
  sb__mem%loss%residue_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_loss%residue_assoc%nitrogen15(:,:)

#endif

#if defined(Passback_sb_transport)
  ! pass the values (back) to process memory
  sb__mem%transport%dom%carbon%ptr(ics:ice,1:nsoil_sb,iblk)                  = sb_transport%dom%carbon(:,:)
  sb__mem%transport%dom%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_transport%dom%nitrogen(:,:)
  sb__mem%transport%dom%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_transport%dom%phosphorus(:,:)
  sb__mem%transport%dom%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_transport%dom%carbon13(:,:)
  sb__mem%transport%dom%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_transport%dom%carbon14(:,:)
  sb__mem%transport%dom%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_transport%dom%nitrogen15(:,:)
  sb__mem%transport%dom_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_transport%dom_assoc%carbon(:,:)
  sb__mem%transport%dom_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_transport%dom_assoc%nitrogen(:,:)
  sb__mem%transport%dom_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_transport%dom_assoc%phosphorus(:,:)
  sb__mem%transport%dom_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_transport%dom_assoc%carbon13(:,:)
  sb__mem%transport%dom_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_transport%dom_assoc%carbon14(:,:)
  sb__mem%transport%dom_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_transport%dom_assoc%nitrogen15(:,:)
  sb__mem%transport%soluable_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_transport%soluable_litter%carbon(:,:)
  sb__mem%transport%soluable_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_transport%soluable_litter%nitrogen(:,:)
  sb__mem%transport%soluable_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)  = sb_transport%soluable_litter%phosphorus(:,:)
  sb__mem%transport%soluable_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_transport%soluable_litter%carbon13(:,:)
  sb__mem%transport%soluable_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_transport%soluable_litter%carbon14(:,:)
  sb__mem%transport%soluable_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)  = sb_transport%soluable_litter%nitrogen15(:,:)
  sb__mem%transport%polymeric_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_transport%polymeric_litter%carbon(:,:)
  sb__mem%transport%polymeric_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_transport%polymeric_litter%nitrogen(:,:)
  sb__mem%transport%polymeric_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk) = sb_transport%polymeric_litter%phosphorus(:,:)
  sb__mem%transport%polymeric_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_transport%polymeric_litter%carbon13(:,:)
  sb__mem%transport%polymeric_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_transport%polymeric_litter%carbon14(:,:)
  sb__mem%transport%polymeric_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk) = sb_transport%polymeric_litter%nitrogen15(:,:)
  sb__mem%transport%woody_litter%carbon%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_transport%woody_litter%carbon(:,:)
  sb__mem%transport%woody_litter%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_transport%woody_litter%nitrogen(:,:)
  sb__mem%transport%woody_litter%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_transport%woody_litter%phosphorus(:,:)
  sb__mem%transport%woody_litter%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_transport%woody_litter%carbon13(:,:)
  sb__mem%transport%woody_litter%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_transport%woody_litter%carbon14(:,:)
  sb__mem%transport%woody_litter%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_transport%woody_litter%nitrogen15(:,:)
  sb__mem%transport%fungi%carbon%ptr(ics:ice,1:nsoil_sb,iblk)                = sb_transport%fungi%carbon(:,:)
  sb__mem%transport%fungi%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_transport%fungi%nitrogen(:,:)
  sb__mem%transport%fungi%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_transport%fungi%phosphorus(:,:)
  sb__mem%transport%fungi%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_transport%fungi%carbon13(:,:)
  sb__mem%transport%fungi%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_transport%fungi%carbon14(:,:)
  sb__mem%transport%fungi%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_transport%fungi%nitrogen15(:,:)
  sb__mem%transport%mycorrhiza%carbon%ptr(ics:ice,1:nsoil_sb,iblk)           = sb_transport%mycorrhiza%carbon(:,:)
  sb__mem%transport%mycorrhiza%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_transport%mycorrhiza%nitrogen(:,:)
  sb__mem%transport%mycorrhiza%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_transport%mycorrhiza%phosphorus(:,:)
  sb__mem%transport%mycorrhiza%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_transport%mycorrhiza%carbon13(:,:)
  sb__mem%transport%mycorrhiza%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)         = sb_transport%mycorrhiza%carbon14(:,:)
  sb__mem%transport%mycorrhiza%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_transport%mycorrhiza%nitrogen15(:,:)
  sb__mem%transport%microbial%carbon%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_transport%microbial%carbon(:,:)
  sb__mem%transport%microbial%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_transport%microbial%nitrogen(:,:)
  sb__mem%transport%microbial%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_transport%microbial%phosphorus(:,:)
  sb__mem%transport%microbial%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_transport%microbial%carbon13(:,:)
  sb__mem%transport%microbial%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_transport%microbial%carbon14(:,:)
  sb__mem%transport%microbial%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_transport%microbial%nitrogen15(:,:)
  sb__mem%transport%residue%carbon%ptr(ics:ice,1:nsoil_sb,iblk)              = sb_transport%residue%carbon(:,:)
  sb__mem%transport%residue%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_transport%residue%nitrogen(:,:)
  sb__mem%transport%residue%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_transport%residue%phosphorus(:,:)
  sb__mem%transport%residue%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_transport%residue%carbon13(:,:)
  sb__mem%transport%residue%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)            = sb_transport%residue%carbon14(:,:)
  sb__mem%transport%residue%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)          = sb_transport%residue%nitrogen15(:,:)
  sb__mem%transport%residue_assoc%carbon%ptr(ics:ice,1:nsoil_sb,iblk)        = sb_transport%residue_assoc%carbon(:,:)
  sb__mem%transport%residue_assoc%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_transport%residue_assoc%nitrogen(:,:)
  sb__mem%transport%residue_assoc%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_transport%residue_assoc%phosphorus(:,:)
  sb__mem%transport%residue_assoc%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_transport%residue_assoc%carbon13(:,:)
  sb__mem%transport%residue_assoc%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)      = sb_transport%residue_assoc%carbon14(:,:)
  sb__mem%transport%residue_assoc%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)    = sb_transport%residue_assoc%nitrogen15(:,:)

#endif

#if defined(Passback_sb_delta_pools)
  ! pass the values (back) to process memory
  sb__mem%delta_pools%carbon%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_delta_pools%carbon(:,:)
  sb__mem%delta_pools%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_delta_pools%nitrogen(:,:)
  sb__mem%delta_pools%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_delta_pools%phosphorus(:,:)
  sb__mem%delta_pools%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_delta_pools%carbon13(:,:)
  sb__mem%delta_pools%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_delta_pools%carbon14(:,:)
  sb__mem%delta_pools%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_delta_pools%nitrogen15(:,:)

#endif

#if defined(Passback_sb_mycorrhiza_export)
  ! pass the values (back) to process memory
  sb__mem%mycorrhiza_export%carbon%ptr(ics:ice,1:nsoil_sb,iblk)       = sb_mycorrhiza_export%carbon(:,:)
  sb__mem%mycorrhiza_export%nitrogen%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_mycorrhiza_export%nitrogen(:,:)
  sb__mem%mycorrhiza_export%phosphorus%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_mycorrhiza_export%phosphorus(:,:)
  sb__mem%mycorrhiza_export%carbon13%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_mycorrhiza_export%carbon13(:,:)
  sb__mem%mycorrhiza_export%carbon14%ptr(ics:ice,1:nsoil_sb,iblk)     = sb_mycorrhiza_export%carbon14(:,:)
  sb__mem%mycorrhiza_export%nitrogen15%ptr(ics:ice,1:nsoil_sb,iblk)   = sb_mycorrhiza_export%nitrogen15(:,:)

#endif
